"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
var core_1 = require("@angular/core");
var CheckboxesDemo = (function () {
    function CheckboxesDemo() {
        this.indeterminateState = true;
    }
    CheckboxesDemo.prototype.onToggleIndeterminateState = function () {
        event.preventDefault();
        this.indeterminateState = !this.indeterminateState;
    };
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Boolean)
    ], CheckboxesDemo.prototype, "indeterminateState", void 0);
    CheckboxesDemo = __decorate([
        core_1.Component({
            selector: "clr-checkboxes-demo",
            // Note the .css extension here, not .scss. That's the best we can have at the moment.
            styles: ["\n      .clr-example{margin-top:24px}.clr-example .main-container{height:auto;padding-top:0;background:#fff}.clr-example .main-container .content-area{overflow-y:hidden}.clr-example.squeeze{padding:48px}.modal.static{position:relative;padding:72px}.modal-backdrop.static{position:absolute;top:0;right:0;bottom:0;left:0}.modal-icon{float:left;color:#60b515;font-size:42px;margin-right:12px}.backdrop-example-container{position:relative;padding:24px}.bump-down{margin-top:24px !important}:not(pre)>code[class*=\"language-\"],pre[class*=\"language-\"],pre,code[class*=\"language-\"]{background:transparent}\n    "],
            template: "\n      <!--\n        ~ Copyright (c) 2016 VMware, Inc. All Rights Reserved.\n        ~ This software is released under MIT license.\n        ~ The full license information can be found in LICENSE in the root directory of this project.\n        -->\n\n      <form>\n          <section class=\"form-block\">\n              <label>Checkboxes</label>\n              <div class=\"form-group\">\n                  <label>Default/Stacked checkbox group</label>\n                  <div class=\"checkbox\">\n                      <input type=\"checkbox\" id=\"checkrads_1\">\n                      <label for=\"checkrads_1\">Checkbox 1</label>\n                  </div>\n                  <div class=\"checkbox\">\n                      <input type=\"checkbox\" id=\"checkrads_2\" checked>\n                      <label for=\"checkrads_2\">Checkbox 2</label>\n                  </div>\n                  <div class=\"checkbox disabled\">\n                      <input type=\"checkbox\" id=\"checkrads_3\" disabled>\n                      <label for=\"checkrads_3\">A disabled and unchecked checkbox</label>\n                  </div>\n                  <div class=\"checkbox disabled\">\n                      <input type=\"checkbox\" id=\"checkrads_4\" disabled checked>\n                      <label for=\"checkrads_4\">A disabled and checked checkbox</label>\n                  </div>\n              </div>\n              <div class=\"form-group\">\n                  <label>Inline checkbox group</label>\n                  <div class=\"checkbox-inline\">\n                      <input type=\"checkbox\" id=\"checkrads_5\">\n                      <label for=\"checkrads_5\">Checkbox 1</label>\n                  </div>\n                  <div class=\"checkbox-inline\">\n                      <input type=\"checkbox\" id=\"checkrads_6\" checked>\n                      <label for=\"checkrads_6\">Checkbox 2</label>\n                  </div>\n                  <div class=\"checkbox-inline disabled\">\n                      <input type=\"checkbox\" id=\"checkrads_7\" disabled>\n                      <label for=\"checkrads_7\">A disabled and unchecked checkbox</label>\n                  </div>\n                  <div class=\"checkbox-inline disabled\">\n                      <input type=\"checkbox\" id=\"checkrads_8\" disabled checked>\n                      <label for=\"checkrads_8\">A disabled and checked checkbox</label>\n                  </div>\n              </div>\n              <div class=\"form-group\">\n                  <label>Indetermiante Checkbox</label>\n                  <div class=\"checkbox-inline\">\n                      <clr-checkbox type=\"checkbox\" id=\"checkbox_9\" [clrIndeterminate]=\"indeterminateState\">\n                          <div (click)=\"onToggleIndeterminateState($event)\">\n                              Toggle Indeterminate State\n                          </div>\n                          <div>\n                              NOTE: Native checkbox elements must set indeterminate state with JavaScript.\n                          </div>\n                      </clr-checkbox>\n                  </div>\n              </div>\n          </section>\n      </form>\n\n      <pre>\n      <code clr-code-highlight=\"language-html\">\n      &lt;form&gt;\n          &lt;section class=&quot;form-block&quot;&gt;\n              &lt;label&gt;Checkboxes&lt;/label&gt;\n              &lt;div class=&quot;form-group&quot;&gt;\n                  &lt;label&gt;Default/Stacked checkbox group&lt;/label&gt;\n                  &lt;div class=&quot;checkbox&quot;&gt;\n                      &lt;input type=&quot;checkbox&quot; id=&quot;checkrads_1&quot;&gt;\n                      &lt;label for=&quot;checkrads_1&quot;&gt;Checkbox 1&lt;/label&gt;\n                  &lt;/div&gt;\n                  &lt;div class=&quot;checkbox&quot;&gt;\n                      &lt;input type=&quot;checkbox&quot; id=&quot;checkrads_2&quot; checked&gt;\n                      &lt;label for=&quot;checkrads_2&quot;&gt;Checkbox 2&lt;/label&gt;\n                  &lt;/div&gt;\n                  &lt;div class=&quot;checkbox disabled&quot;&gt;\n                      &lt;input type=&quot;checkbox&quot; id=&quot;checkrads_3&quot; disabled&gt;\n                      &lt;label for=&quot;checkrads_3&quot;&gt;A disabled and unchecked checkbox&lt;/label&gt;\n                  &lt;/div&gt;\n                  &lt;div class=&quot;checkbox disabled&quot;&gt;\n                      &lt;input type=&quot;checkbox&quot; id=&quot;checkrads_4&quot; disabled checked&gt;\n                      &lt;label for=&quot;checkrads_4&quot;&gt;A disabled and checked checkbox&lt;/label&gt;\n                  &lt;/div&gt;\n              &lt;/div&gt;\n              &lt;div class=&quot;form-group&quot;&gt;\n                  &lt;label&gt;Inline checkbox group&lt;/label&gt;\n                  &lt;div class=&quot;checkbox-inline&quot;&gt;\n                      &lt;input type=&quot;checkbox&quot; id=&quot;checkrads_5&quot;&gt;\n                      &lt;label for=&quot;checkrads_5&quot;&gt;Checkbox 1&lt;/label&gt;\n                  &lt;/div&gt;\n                  &lt;div class=&quot;checkbox-inline&quot;&gt;\n                      &lt;input type=&quot;checkbox&quot; id=&quot;checkrads_6&quot; checked&gt;\n                      &lt;label for=&quot;checkrads_6&quot;&gt;Checkbox 2&lt;/label&gt;\n                  &lt;/div&gt;\n                  &lt;div class=&quot;checkbox-inline disabled&quot;&gt;\n                      &lt;input type=&quot;checkbox&quot; id=&quot;checkrads_7&quot; disabled&gt;\n                      &lt;label for=&quot;checkrads_7&quot;&gt;A disabled and unchecked checkbox&lt;/label&gt;\n                  &lt;/div&gt;\n                  &lt;div class=&quot;checkbox-inline disabled&quot;&gt;\n                      &lt;input type=&quot;checkbox&quot; id=&quot;checkrads_8&quot; disabled checked&gt;\n                      &lt;label for=&quot;checkrads_8&quot;&gt;A disabled and checked checkbox&lt;/label&gt;\n                  &lt;/div&gt;\n                  &lt;div class=\"form-group\"&gt;\n                  &lt;label&gt;Indetermiante Checkbox&lt;/label&gt;\n                  &lt;div class=\"checkbox-inline\"&gt;\n                      &lt;clr-checkbox type=\"checkbox\" id=\"checkbox_9\" [clrIndeterminate]=\"indeterminateState\"&gt;\n                          &lt;span (click)=\"onToggleIndeterminateState($event)\"&gt;\n                              Toggle Indeterminate State\n                              &lt;!--&lt;button class=\"btn btn-primary btn-sm\" (click)=\"onToggleIndeterminateState($event)\"&gt;Toggle Indeterminate State&lt;/button&gt;--&gt;\n                          &lt;/span&gt;\n                      &lt;/clr-checkbox&gt;\n                  &lt;/div&gt;\n              &lt;/div&gt;\n          &lt;/section&gt;\n      &lt;/form&gt;\n      </code></pre>\n    "
        }), 
        __metadata('design:paramtypes', [])
    ], CheckboxesDemo);
    return CheckboxesDemo;
}());
exports.CheckboxesDemo = CheckboxesDemo;
