"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
var core_1 = require("@angular/core");
var inventory_1 = require("../inventory/inventory");
var EXAMPLE = "\n<clr-datagrid>\n    <clr-dg-column>User ID</clr-dg-column>\n    <clr-dg-column>Name</clr-dg-column>\n    <clr-dg-column>Creation date</clr-dg-column>\n    <clr-dg-column>Favorite color</clr-dg-column>\n\n    <clr-dg-row *ngFor=\"let user of users\">\n        <clr-dg-cell>{{user.id}}</clr-dg-cell>\n        <clr-dg-cell>{{user.name}}</clr-dg-cell>\n        <clr-dg-cell>{{user.creation | date}}</clr-dg-cell>\n        <clr-dg-cell>{{user.color}}</clr-dg-cell>\n    </clr-dg-row>\n\n    <clr-dg-footer>{{users.length}} users</clr-dg-footer>\n</clr-datagrid>\n";
var DatagridBasicStructureDemo = (function () {
    function DatagridBasicStructureDemo(inventory) {
        this.inventory = inventory;
        this.example = EXAMPLE;
        inventory.size = 10;
        inventory.reset();
        this.users = inventory.all;
    }
    DatagridBasicStructureDemo = __decorate([
        core_1.Component({
            selector: "clr-datagrid-basic-structure-demo",
            providers: [inventory_1.Inventory],
            template: "\n      <!--\n        ~ Copyright (c) 2016 VMware, Inc. All Rights Reserved.\n        ~ This software is released under MIT license.\n        ~ The full license information can be found in LICENSE in the root directory of this project.\n        -->\n\n      <h2>Basic structure</h2>\n\n      <p>\n          To use our Datagrid, you do not need to pass an array of data or a JSON configuration to a\n          single element. Instead, we leverage a pure declarative API, just like any other Angular 2\n          component. You write your HTML just as you would for a basic table, with a\n          <code class=\"clr-code\">*ngFor</code> (or <code class=\"clr-code\">*clrDgItems</code>, see\n          Smart iterator) on the rows to iterate over your\n          data.\n      </p>\n\n      <clr-datagrid>\n          <clr-dg-column>User ID</clr-dg-column>\n          <clr-dg-column>Name</clr-dg-column>\n          <clr-dg-column>Creation date</clr-dg-column>\n          <clr-dg-column>Favorite color</clr-dg-column>\n\n          <clr-dg-row *ngFor=\"let user of users\">\n              <clr-dg-cell>{{user.id}}</clr-dg-cell>\n              <clr-dg-cell>{{user.name}}</clr-dg-cell>\n              <clr-dg-cell>{{user.creation | date}}</clr-dg-cell>\n              <clr-dg-cell>{{user.color}}</clr-dg-cell>\n          </clr-dg-row>\n\n          <clr-dg-footer>{{users.length}} users</clr-dg-footer>\n      </clr-datagrid>\n\n      <clr-example [clrCode]=\"example\" clrLanguage=\"html\"></clr-example>\n    ",
            styles: ["\n      .clr-example{margin-top:24px}.clr-example .main-container{height:auto;padding-top:0;background:#fff}.clr-example .main-container .content-area{overflow-y:hidden}.clr-example.squeeze{padding:48px}.modal.static{position:relative;padding:72px}.modal-backdrop.static{position:absolute;top:0;right:0;bottom:0;left:0}.modal-icon{float:left;color:#60b515;font-size:42px;margin-right:12px}.backdrop-example-container{position:relative;padding:24px}.bump-down{margin-top:24px !important}:not(pre)>code[class*=\"language-\"],pre[class*=\"language-\"],pre,code[class*=\"language-\"]{background:transparent}.color-square{display:inline-block;vertical-align:text-bottom;height:14px;width:14px;border:1px solid black;border-radius:4px}.color-filter{display:block;width:100px}.color-selectable{cursor:pointer;margin:2px;opacity:0.2}.color-selectable:hover,.color-selectable.color-selected{opacity:1}.lorem-ipsum{max-width:300px}.username-list{margin-bottom:0}.username-list .username:not(:last-child)::after{content:\", \"}.username-list .username:last-child::after{content:\".\"}\n    "]
        }), 
        __metadata('design:paramtypes', [inventory_1.Inventory])
    ], DatagridBasicStructureDemo);
    return DatagridBasicStructureDemo;
}());
exports.DatagridBasicStructureDemo = DatagridBasicStructureDemo;
