"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
var core_1 = require("@angular/core");
var inventory_1 = require("../inventory/inventory");
var EXAMPLE = "\n<clr-datagrid>\n    <clr-dg-column>User ID</clr-dg-column>\n    <clr-dg-column [clrDgField]=\"'name'\">Name</clr-dg-column>\n    <clr-dg-column [clrDgField]=\"'creation'\">Creation date</clr-dg-column>\n    <clr-dg-column [clrDgField]=\"'pokemon.name'\">Pokemon</clr-dg-column>\n    <clr-dg-column [clrDgField]=\"'color'\">Favorite color</clr-dg-column>\n\n    <clr-dg-row *clrDgItems=\"let user of users\">\n        <clr-dg-cell>{{user.id}}</clr-dg-cell>\n        <clr-dg-cell>{{user.name}}</clr-dg-cell>\n        <clr-dg-cell>{{user.creation | date}}</clr-dg-cell>\n        <clr-dg-cell>{{user.pokemon.name}}</clr-dg-cell>\n        <clr-dg-cell>\n            <span class=\"color-square\" [style.backgroundColor]=\"user.color\"></span>\n        </clr-dg-cell>\n    </clr-dg-row>\n\n    <clr-dg-footer>{{users.length}} users</clr-dg-footer>\n</clr-datagrid>\n";
var DatagridBindingPropertiesDemo = (function () {
    function DatagridBindingPropertiesDemo(inventory) {
        this.inventory = inventory;
        this.example = EXAMPLE;
        inventory.size = 10;
        inventory.reset();
        this.users = inventory.all;
    }
    DatagridBindingPropertiesDemo = __decorate([
        core_1.Component({
            selector: "clr-datagrid-binding-properties-demo",
            providers: [inventory_1.Inventory],
            template: "\n      <!--\n        ~ Copyright (c) 2016 VMware, Inc. All Rights Reserved.\n        ~ This software is released under MIT license.\n        ~ The full license information can be found in LICENSE in the root directory of this project.\n        -->\n\n      <h2>Binding model properties to columns</h2>\n\n      <p>\n          For an easy setup of datagrid column features, you can simply specify the property to bind it to\n          in your model. When you do, the column will benefit for all built-in features for this case:\n          sorting based on the natural comparison, filtering based on string value, and anything else we\n          might add in the future. You can bind to as deep a property as you want in your model, using\n          a standard dot-separated syntax:\n          <code class=\"clr-code\">[clrDgField]=&quot;'my.deep.property'&quot;</code>\n      </p>\n      <p>\n          You can also see in the following example how every feature we offer is always opt-in:\n          we did not declare any binding on the \"User ID\" column, which means it is not sortable of\n          filterable.\n      </p>\n\n      <clr-datagrid>\n          <clr-dg-column>User ID</clr-dg-column>\n          <clr-dg-column [clrDgField]=\"'name'\">Name</clr-dg-column>\n          <clr-dg-column [clrDgField]=\"'creation'\">Creation date</clr-dg-column>\n          <clr-dg-column [clrDgField]=\"'pokemon.name'\">Pokemon</clr-dg-column>\n          <clr-dg-column [clrDgField]=\"'color'\">Favorite color</clr-dg-column>\n\n          <clr-dg-row *clrDgItems=\"let user of users\">\n              <clr-dg-cell>{{user.id}}</clr-dg-cell>\n              <clr-dg-cell>{{user.name}}</clr-dg-cell>\n              <clr-dg-cell>{{user.creation | date}}</clr-dg-cell>\n              <clr-dg-cell>{{user.pokemon.name}}</clr-dg-cell>\n              <clr-dg-cell>\n                  <span class=\"color-square\" [style.backgroundColor]=\"user.color\"></span>\n              </clr-dg-cell>\n          </clr-dg-row>\n\n          <clr-dg-footer>{{users.length}} users</clr-dg-footer>\n      </clr-datagrid>\n\n      <clr-example [clrCode]=\"example\" clrLanguage=\"html\"></clr-example>\n\n      <div class=\"alert alert-warning\">\n          <div class=\"alert-item\">\n              <span class=\"alert-text\">\n                  In this example, the <code class=\"clr-code\">[clrDgField]</code> input is a hard-coded\n                  string, so it needs to be quoted twice:\n                  <code class=\"clr-code\">[clrDgField]=&quot;'name'&quot;</code>.\n              </span>\n          </div>\n          <div class=\"alert-item\">\n              <span>\n                  Another way to write this would be\n                  <code class=\"clr-code\">clrDgField=&quot;name&quot;</code>, without\n                  having the extra quotes, but we do not recommend this. In particular, this leaves a\n                  potentially unwanted attribute on the element, whereas the previous syntax only adds\n                  a property to the corresponding Javascript object.\n              </span>\n          </div>\n      </div>\n    ",
            styles: ["\n      .clr-example{margin-top:24px}.clr-example .main-container{height:auto;padding-top:0;background:#fff}.clr-example .main-container .content-area{overflow-y:hidden}.clr-example.squeeze{padding:48px}.modal.static{position:relative;padding:72px}.modal-backdrop.static{position:absolute;top:0;right:0;bottom:0;left:0}.modal-icon{float:left;color:#60b515;font-size:42px;margin-right:12px}.backdrop-example-container{position:relative;padding:24px}.bump-down{margin-top:24px !important}:not(pre)>code[class*=\"language-\"],pre[class*=\"language-\"],pre,code[class*=\"language-\"]{background:transparent}.color-square{display:inline-block;vertical-align:text-bottom;height:14px;width:14px;border:1px solid black;border-radius:4px}.color-filter{display:block;width:100px}.color-selectable{cursor:pointer;margin:2px;opacity:0.2}.color-selectable:hover,.color-selectable.color-selected{opacity:1}.lorem-ipsum{max-width:300px}.username-list{margin-bottom:0}.username-list .username:not(:last-child)::after{content:\", \"}.username-list .username:last-child::after{content:\".\"}\n    "]
        }), 
        __metadata('design:paramtypes', [inventory_1.Inventory])
    ], DatagridBindingPropertiesDemo);
    return DatagridBindingPropertiesDemo;
}());
exports.DatagridBindingPropertiesDemo = DatagridBindingPropertiesDemo;
