"use strict";
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
exports.EXAMPLES = {
    filterInterface: "\ninterface Filter<T> {\n    isActive(): boolean;\n    accepts(item: T): boolean;\n    changes: Observable<any>;\n}\n",
    inlineFilterTS: "\nimport {Filter} from \"clarity-angular\";\n\nclass MyFilter implements Filter<User> {\n    changes = new Subject<any>();\n    isActive(): boolean { /* ... */ }\n    accepts(user: User) { /* ... */ }\n}\n\n@Component({ /* ... */ })\nclass MyComponent {\n    private myFilter = new MyFilter();\n}\n",
    inlineFilterHTML: "\n<-- In the columns declaration -->\n<clr-dg-column>\n    My column\n    <clr-dg-filter [clrDgFilter]=\"myFilter\">\n        <-- The HTML from your custom filter: inputs, checkboxes, ... -->\n    </clr-dg-filter>\n</clr-dg-column>\n",
    customFilterComponentTS: "\nimport {Filter, DatagridFilter} from \"clarity-angular\";\n\n@Component({\n    selector: \"my-filter\",\n    /* ... */\n})\nclass MyFilter implements Filter<User> {\n    constructor(private filterContainer: DatagridFilter) {\n        filterContainer.filter = this;\n    }\n    changes = new Subject<any>();\n    isActive(): boolean { /* ... */ }\n    accepts(user: User) { /* ... */ }\n}\n",
    customFilterComponentHTML: "\n<-- In the columns declaration -->\n<clr-dg-column>\n    My column\n    <clr-dg-filter>\n        <my-filter></my-filter>\n    </clr-dg-filter>\n</clr-dg-column>\n",
    templateVariableTS: "\n@Component({\n    selector: \"my-reusable-filter\",\n    /* ... */\n})\nclass MyReusableFilter {\n    changes = new Subject<any>();\n    isActive(): boolean { /* ... */ }\n    accepts(user: User) { /* ... */ }\n}\n",
    templateVariableHTML: "\n<-- In the columns declaration -->\n<clr-dg-column>\n    My column\n    <clr-dg-filter [clrDgFilter]=\"myFilter\">\n        <my-reusable-filter #myFilter></my-reusable-filter>\n    </clr-dg-filter>\n</clr-dg-column>\n",
    colorFilterTS: "\nimport {Filter} from \"clarity-angular\";\n\n@Component({\n    selector: \"color-filter\",\n    /* The rest of the filter component's declaration */\n})\nclass ColorFilter implements Filter<User> {\n    changes = new Subject<any>();\n    isActive(): boolean { /* ... */ }\n    accepts(user: User) { /* ... */ }\n}\n",
    colorFilterHTML: "\n<-- In the columns declaration -->\n<clr-dg-column>\n    Favorite color\n    <clr-dg-filter [clrDgFilter]=\"colorFilter\">\n        <color-filter #colorFilter></color-filter>\n    </clr-dg-filter>\n</clr-dg-column>\n"
};
