"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
var core_1 = require("@angular/core");
var inventory_1 = require("../inventory/inventory");
var examples_1 = require("./examples");
var DatagridFilteringDemo = (function () {
    function DatagridFilteringDemo(inventory) {
        this.inventory = inventory;
        this.examples = examples_1.EXAMPLES;
        inventory.size = 10;
        inventory.reset();
        this.users = inventory.all;
    }
    DatagridFilteringDemo = __decorate([
        core_1.Component({
            selector: "clr-datagrid-filtering-demo",
            providers: [inventory_1.Inventory],
            template: "\n      <!--\n        ~ Copyright (c) 2016 VMware, Inc. All Rights Reserved.\n        ~ This software is released under MIT license.\n        ~ The full license information can be found in LICENSE in the root directory of this project.\n        -->\n\n      <h2>Custom filters</h2>\n\n      <p>\n          Similarly to the advanced sorting features, sometimes the default filter on a string property\n          is not what you need. When this is the case you can write your own filter, with fully\n          custom template and controller, and both wrap it in and pass it to a\n          <code class=\"clr-code\">&lt;clr-dg-filter&gt;</code> component in your column declaration.\n          This can be done whether or not your column is declared as a\n          <code class=\"clr-code\">clrDgField</code>, and will always take precedence over it if it is.\n      </p>\n      <p>\n          The filter you provide to the <code class=\"clr-code\">&lt;clr-dg-filter&gt;</code> component\n          needs to implement the <code class=\"clr-code\">Filter</code> interface provided by Clarity:\n      </p>\n      <clr-example [clrCode]=\"examples.filterInterface\" clrLanguage=\"typescript\"></clr-example>\n\n      <p>\n          There are several ways to pass your filter to the\n          <code class=\"clr-code\">&lt;clr-dg-filter&gt;</code> component:\n      </p>\n      <ul>\n          <li>\n              The simplest, but less reusable way, is to simply inline your filter's template in the\n              column and use the <code class=\"clr-code\">[clrDgFilter]</code> input to pass your filter\n              instance:\n              <clr-example [clrCode]=\"examples.inlineFilterTS\" clrLanguage=\"typescript\"></clr-example>\n              <clr-example [clrCode]=\"examples.inlineFilterHTML\" clrLanguage=\"html\"></clr-example>\n          </li>\n          <li>\n              A more reusable way is to write an actual component for your custom filter,\n              and inject its <code class=\"clr-code\">DatagridFilter</code> parent in its constructor so\n              that it can register itself:\n              <clr-example [clrCode]=\"examples.customFilterComponentTS\" clrLanguage=\"typescript\"></clr-example>\n              <clr-example [clrCode]=\"examples.customFilterComponentHTML\" clrLanguage=\"html\"></clr-example>\n          </li>\n          <li>\n              Finally, if you want to have a completely reusable filter independently of our Datagrid,\n              you can write a component for it and use a template reference variable to declare the\n              filter to its container:\n              <clr-example [clrCode]=\"examples.templateVariableTS\" clrLanguage=\"typescript\"></clr-example>\n              <clr-example [clrCode]=\"examples.templateVariableHTML\" clrLanguage=\"html\"></clr-example>\n          </li>\n      </ul>\n\n      <p>\n          In our example, we can create \"color picker\" filter, rather than have to search by color name.\n      </p>\n\n      <clr-datagrid>\n          <clr-dg-column>User ID</clr-dg-column>\n          <clr-dg-column>Name</clr-dg-column>\n          <clr-dg-column>Creation date</clr-dg-column>\n          <clr-dg-column>Pokemon</clr-dg-column>\n          <clr-dg-column>\n              Favorite color\n              <clr-dg-filter [clrDgFilter]=\"colorFilter\">\n                  <clr-datagrid-color-filter-demo #colorFilter class=\"color-filter\">\n                  </clr-datagrid-color-filter-demo>\n              </clr-dg-filter>\n          </clr-dg-column>\n\n          <clr-dg-row *clrDgItems=\"let user of users\">\n              <clr-dg-cell>{{user.id}}</clr-dg-cell>\n              <clr-dg-cell>{{user.name}}</clr-dg-cell>\n              <clr-dg-cell>{{user.creation | date}}</clr-dg-cell>\n              <clr-dg-cell>{{user.pokemon.name}}</clr-dg-cell>\n              <clr-dg-cell>\n                  <span class=\"color-square\" [style.backgroundColor]=\"user.color\"></span>\n              </clr-dg-cell>\n          </clr-dg-row>\n\n          <clr-dg-footer>{{users.length}} users</clr-dg-footer>\n      </clr-datagrid>\n\n      <clr-example [clrCode]=\"examples.colorFilterTS\" clrLanguage=\"typescript\"></clr-example>\n      <clr-example [clrCode]=\"examples.colorFilterHTML\" clrLanguage=\"html\"></clr-example>\n    ",
            styles: ["\n      .clr-example{margin-top:24px}.clr-example .main-container{height:auto;padding-top:0;background:#fff}.clr-example .main-container .content-area{overflow-y:hidden}.clr-example.squeeze{padding:48px}.modal.static{position:relative;padding:72px}.modal-backdrop.static{position:absolute;top:0;right:0;bottom:0;left:0}.modal-icon{float:left;color:#60b515;font-size:42px;margin-right:12px}.backdrop-example-container{position:relative;padding:24px}.bump-down{margin-top:24px !important}:not(pre)>code[class*=\"language-\"],pre[class*=\"language-\"],pre,code[class*=\"language-\"]{background:transparent}.color-square{display:inline-block;vertical-align:text-bottom;height:14px;width:14px;border:1px solid black;border-radius:4px}.color-filter{display:block;width:100px}.color-selectable{cursor:pointer;margin:2px;opacity:0.2}.color-selectable:hover,.color-selectable.color-selected{opacity:1}.lorem-ipsum{max-width:300px}.username-list{margin-bottom:0}.username-list .username:not(:last-child)::after{content:\", \"}.username-list .username:last-child::after{content:\".\"}\n    "]
        }), 
        __metadata('design:paramtypes', [inventory_1.Inventory])
    ], DatagridFilteringDemo);
    return DatagridFilteringDemo;
}());
exports.DatagridFilteringDemo = DatagridFilteringDemo;
