"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
var core_1 = require("@angular/core");
var inventory_1 = require("../inventory/inventory");
var EXAMPLE = "\n<-- Inside the full datagrid declaration -->\n<clr-dg-footer>\n    {{pagination.firstItem + 1}} - {{pagination.lastItem + 1}}\n    of {{pagination.totalItems}} users\n    <clr-dg-pagination #pagination [clrDgPageSize]=\"10\"></clr-dg-pagination>\n</clr-dg-footer>\n";
var DatagridPaginationDemo = (function () {
    function DatagridPaginationDemo(inventory) {
        this.inventory = inventory;
        this.example = EXAMPLE;
        inventory.size = 103;
        inventory.reset();
        this.users = inventory.all;
    }
    DatagridPaginationDemo = __decorate([
        core_1.Component({
            selector: "clr-datagrid-pagination-demo",
            providers: [inventory_1.Inventory],
            template: "\n      <!--\n        ~ Copyright (c) 2016 VMware, Inc. All Rights Reserved.\n        ~ This software is released under MIT license.\n        ~ The full license information can be found in LICENSE in the root directory of this project.\n        -->\n\n      <h2>Pagination</h2>\n\n      <p>\n          So far, our examples' data only contained a few entries. The point of a datagrid is to\n          display large amounts of data, and we can't reasonably display it all at the same time on\n          the page. To solve this, our datagrid supports pagination.\n      </p>\n      <p>\n          To activate pagination on your datagrid, you simply need to add a\n          <code class=\"clr-code\">&lt;clr-dg-pagination&gt;</code> component in your datagrid's footer.\n          This component exposes many of properties, most of them bindable, to help you interact with it:\n      </p>\n      <table class=\"table\">\n          <thead>\n          <tr>\n              <th>Input/Output</th>\n              <th>Component property</th>\n              <th class=\"left\">Effect</th>\n          </tr>\n          </thead>\n          <tbody>\n          <tr>\n              <td>[(clrDgPage)]</td>\n              <td>currentPage</td>\n              <td class=\"left\">Index of the currently displayed page, starting from 1.</td>\n          </tr>\n          <tr>\n              <td>[clrDgPageSize]</td>\n              <td>pageSize</td>\n              <td class=\"left\">Number of items displayed per page. Defaults to 10.</td>\n          </tr>\n          <tr>\n              <td>[clrDgTotalItems]</td>\n              <td>totalItems</td>\n              <td class=\"left\">Total number of items present in the datagrid, after the filters have\n                  been applied.</td>\n          </tr>\n          <tr>\n              <td>[clrDgLastPage]</td>\n              <td>lastPage</td>\n              <td class=\"left\">Index of the last page for the current data.</td>\n          </tr>\n          <tr>\n              <td></td>\n              <td>firstItem</td>\n              <td class=\"left\">Index of the first item displayed on the current page,\n                  starting from 0.</td>\n          </tr>\n          <tr>\n              <td></td>\n              <td>lastItem</td>\n              <td class=\"left\">Index of the last item displayed on the current page,\n                  starting from 0.</td>\n          </tr>\n          </tbody>\n      </table>\n\n      <p>\n          Here is an example of how to use pagination, and attach a template reference variable to it\n          to display information on the current page.\n      </p>\n\n      <clr-datagrid>\n          <clr-dg-column>User ID</clr-dg-column>\n          <clr-dg-column>Name</clr-dg-column>\n          <clr-dg-column>Creation date</clr-dg-column>\n          <clr-dg-column>Favorite color</clr-dg-column>\n\n          <clr-dg-row *clrDgItems=\"let user of users\">\n              <clr-dg-cell>{{user.id}}</clr-dg-cell>\n              <clr-dg-cell>{{user.name}}</clr-dg-cell>\n              <clr-dg-cell>{{user.creation | date}}</clr-dg-cell>\n              <clr-dg-cell>\n                  <span class=\"color-square\" [style.backgroundColor]=\"user.color\"></span>\n              </clr-dg-cell>\n          </clr-dg-row>\n\n          <clr-dg-footer>\n              {{pagination.firstItem + 1}} - {{pagination.lastItem + 1}}\n              of {{pagination.totalItems}} users\n              <clr-dg-pagination #pagination [clrDgPageSize]=\"10\"></clr-dg-pagination>\n          </clr-dg-footer>\n      </clr-datagrid>\n\n      <clr-example [clrCode]=\"example\" clrLanguage=\"html\"></clr-example>\n    ",
            styles: ["\n      .clr-example{margin-top:24px}.clr-example .main-container{height:auto;padding-top:0;background:#fff}.clr-example .main-container .content-area{overflow-y:hidden}.clr-example.squeeze{padding:48px}.modal.static{position:relative;padding:72px}.modal-backdrop.static{position:absolute;top:0;right:0;bottom:0;left:0}.modal-icon{float:left;color:#60b515;font-size:42px;margin-right:12px}.backdrop-example-container{position:relative;padding:24px}.bump-down{margin-top:24px !important}:not(pre)>code[class*=\"language-\"],pre[class*=\"language-\"],pre,code[class*=\"language-\"]{background:transparent}.color-square{display:inline-block;vertical-align:text-bottom;height:14px;width:14px;border:1px solid black;border-radius:4px}.color-filter{display:block;width:100px}.color-selectable{cursor:pointer;margin:2px;opacity:0.2}.color-selectable:hover,.color-selectable.color-selected{opacity:1}.lorem-ipsum{max-width:300px}.username-list{margin-bottom:0}.username-list .username:not(:last-child)::after{content:\", \"}.username-list .username:last-child::after{content:\".\"}\n    "]
        }), 
        __metadata('design:paramtypes', [inventory_1.Inventory])
    ], DatagridPaginationDemo);
    return DatagridPaginationDemo;
}());
exports.DatagridPaginationDemo = DatagridPaginationDemo;
