"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
var core_1 = require("@angular/core");
var inventory_1 = require("../inventory/inventory");
var EXAMPLE = "\n<clr-datagrid [(clrDgSelected)]=\"selected\">\n    <-- ... -->\n    <clr-dg-row *clrDgItems=\"let user of users\" [clrDgItem]=\"user\">\n        <-- ... -->\n    </clr-dg-row>\n   <-- ... -->\n</clr-datagrid>\n\nSelected users: <span *ngFor=\"let user of selected\">{{user.name}}</span>\n";
var DatagridSelectionDemo = (function () {
    function DatagridSelectionDemo(inventory) {
        this.inventory = inventory;
        this.example = EXAMPLE;
        this.selected = [];
        inventory.size = 10;
        inventory.reset();
        this.users = inventory.all;
    }
    DatagridSelectionDemo = __decorate([
        core_1.Component({
            selector: "clr-datagrid-selection-demo",
            providers: [inventory_1.Inventory],
            template: "\n      <!--\n        ~ Copyright (c) 2016 VMware, Inc. All Rights Reserved.\n        ~ This software is released under MIT license.\n        ~ The full license information can be found in LICENSE in the root directory of this project.\n        -->\n\n      <h2>Selection</h2>\n\n      <p>\n          To allow actions on multiple items at once, we provide the ability for the user to select rows\n          in the datagrid. To make rows selectable in your datagrid, you need to do the following:\n      </p>\n      <ul>\n          <li>\n              Add a <code class=\"clr-code\">[clrDgItem]</code> input on each\n              <code class=\"clr-code\">&lt;clr-dg-row&gt;</code> component to tell us what model the user\n              is actually selecting. Most of the time, this will simply be the current data object in\n              the iteration.\n          </li>\n          <li>\n              Add a <code class=\"clr-code\">[(clrDgSelected)]</code> two-way binding on the datagrid\n              itself, to have access to the list of currently selected items. Note that by adding\n              items to this list yourself, you can dynamically select elements if you need to.\n          </li>\n      </ul>\n\n      <p>\n          In the following example, we simply display the names of the selected users, but since we\n          have access to the full objects, we could perform any operation we want on them.\n      </p>\n\n      <div class=\"card card-block\">\n          <p class=\"card-text username-list\">\n              Selected users:\n              <em *ngIf=\"selected.length == 0\">No user selected.</em>\n              <span class=\"username\" *ngFor=\"let user of selected\">{{user.name}}</span>\n          </p>\n      </div>\n\n      <clr-datagrid [(clrDgSelected)]=\"selected\">\n          <clr-dg-column>User ID</clr-dg-column>\n          <clr-dg-column>Name</clr-dg-column>\n          <clr-dg-column>Creation date</clr-dg-column>\n          <clr-dg-column>Favorite color</clr-dg-column>\n\n          <clr-dg-row *clrDgItems=\"let user of users\" [clrDgItem]=\"user\">\n              <clr-dg-cell>{{user.id}}</clr-dg-cell>\n              <clr-dg-cell>{{user.name}}</clr-dg-cell>\n              <clr-dg-cell>{{user.creation | date}}</clr-dg-cell>\n              <clr-dg-cell>\n                  <span class=\"color-square\" [style.backgroundColor]=\"user.color\"></span>\n              </clr-dg-cell>\n          </clr-dg-row>\n\n          <clr-dg-footer>{{users.length}} users</clr-dg-footer>\n      </clr-datagrid>\n\n      <clr-example [clrCode]=\"example\" clrLanguage=\"html\"></clr-example>\n    ",
            styles: ["\n      .clr-example{margin-top:24px}.clr-example .main-container{height:auto;padding-top:0;background:#fff}.clr-example .main-container .content-area{overflow-y:hidden}.clr-example.squeeze{padding:48px}.modal.static{position:relative;padding:72px}.modal-backdrop.static{position:absolute;top:0;right:0;bottom:0;left:0}.modal-icon{float:left;color:#60b515;font-size:42px;margin-right:12px}.backdrop-example-container{position:relative;padding:24px}.bump-down{margin-top:24px !important}:not(pre)>code[class*=\"language-\"],pre[class*=\"language-\"],pre,code[class*=\"language-\"]{background:transparent}.color-square{display:inline-block;vertical-align:text-bottom;height:14px;width:14px;border:1px solid black;border-radius:4px}.color-filter{display:block;width:100px}.color-selectable{cursor:pointer;margin:2px;opacity:0.2}.color-selectable:hover,.color-selectable.color-selected{opacity:1}.lorem-ipsum{max-width:300px}.username-list{margin-bottom:0}.username-list .username:not(:last-child)::after{content:\", \"}.username-list .username:last-child::after{content:\".\"}\n    "]
        }), 
        __metadata('design:paramtypes', [inventory_1.Inventory])
    ], DatagridSelectionDemo);
    return DatagridSelectionDemo;
}());
exports.DatagridSelectionDemo = DatagridSelectionDemo;
