"use strict";
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
exports.EXAMPLES = {
    stringFilterInterface: "\ninterface StringFilter<T> {\n    accepts(item: T, search: string): boolean;\n}\n",
    stringFilterInput: "\n<-- In the columns declaration -->\n<clr-dg-column>\n    My column\n    <clr-dg-string-filter [clrDgStringFilter]=\"myFilter\"></clr-dg-string-filter>\n</clr-dg-column>\n",
    stringFilterTS: "\nimport {StringFilter} from \"clarity-angular\";\n\nclass PokemonFilter implements StringFilter<User> {\n    accepts(user: User, search: string):boolean {\n        return \"\" + user.pokemon.number == search\n            || user.pokemon.name.toLowerCase().indexOf(search) >= 0;\n    }\n}\n\n@Component({ /* ... */ })\nclass MyComponent {\n    private pokemonFilter = new PokemonFilter();\n}\n",
    stringFilterHTML: "\n<-- In the columns declaration -->\n<clr-dg-column>\n    Pokemon\n    <clr-dg-string-filter [clrDgStringFilter]=\"pokemonFilter\"></clr-dg-string-filter>\n</clr-dg-column>\n"
};
