"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
var core_1 = require("@angular/core");
var inventory_1 = require("../inventory/inventory");
var pokemon_filter_1 = require("../utils/pokemon-filter");
var examples_1 = require("./examples");
var DatagridStringFilteringDemo = (function () {
    function DatagridStringFilteringDemo(inventory) {
        this.inventory = inventory;
        this.examples = examples_1.EXAMPLES;
        this.pokemonFilter = new pokemon_filter_1.PokemonFilter();
        inventory.size = 10;
        inventory.reset();
        this.users = inventory.all;
    }
    DatagridStringFilteringDemo = __decorate([
        core_1.Component({
            selector: "clr-datagrid-string-filtering-demo",
            providers: [inventory_1.Inventory],
            template: "\n      <!--\n        ~ Copyright (c) 2016 VMware, Inc. All Rights Reserved.\n        ~ This software is released under MIT license.\n        ~ The full license information can be found in LICENSE in the root directory of this project.\n        -->\n\n      <h2>Built-in filters</h2>\n\n      <p>\n          Before reading this, you should make sure you read the\n          previous section on custom filters. Done? Then you\n          might be a bit overwhelmed by the complexity of custom filters, understandably.\n          What if you want <em>just a bit more</em> than default string value filters, but phenomenal\n          cosmic filter power turns out to be slightly overkill? This is where our built-in custom\n          filters come handy. They let you customize specific parts of the filter like the\n          string matching function, without having to rewrite the whole thing yourself from two-way\n          binding inputs to integration in the datagrid.\n      </p>\n\n      <h4>String filter</h4>\n\n      <p>\n          At the moment, the only built-in filter we provide is the \"string\" filter one, meaning the\n          user is offered a text input, and the rows will be filtered based on a string-matching\n          function you provide. You should now be familiar with our use of interfaces for this, so here\n          is the interface your string matcher should implement:\n      </p>\n      <clr-example [clrCode]=\"examples.stringFilterInterface\" clrLanguage=\"typescript\"></clr-example>\n      <p>\n          Once you have it, you simply need to pass it to a\n          <code class=\"clr-code\">&lt;clr-dg-string-filter&gt;</code> component:\n      </p>\n      <clr-example [clrCode]=\"examples.stringFilterInput\" clrLanguage=\"html\"></clr-example>\n\n      <p>\n          In our example, we can allow the user to filter not only by pokemon name, but also by\n          entering the exact number of the pokemon he's interested in.\n      </p>\n\n      <clr-datagrid>\n          <clr-dg-column>User ID</clr-dg-column>\n          <clr-dg-column>Name</clr-dg-column>\n          <clr-dg-column>Creation date</clr-dg-column>\n          <clr-dg-column>\n              Pokemon\n              <clr-dg-string-filter [clrDgStringFilter]=\"pokemonFilter\"></clr-dg-string-filter>\n          </clr-dg-column>\n          <clr-dg-column>Favorite color</clr-dg-column>\n\n          <clr-dg-row *clrDgItems=\"let user of users\">\n              <clr-dg-cell>{{user.id}}</clr-dg-cell>\n              <clr-dg-cell>{{user.name}}</clr-dg-cell>\n              <clr-dg-cell>{{user.creation | date}}</clr-dg-cell>\n              <clr-dg-cell>\n                  {{user.pokemon.name}} <span class=\"badge badge-5\">#{{user.pokemon.number}}</span>\n              </clr-dg-cell>\n              <clr-dg-cell>\n                  <span class=\"color-square\" [style.backgroundColor]=\"user.color\"></span>\n              </clr-dg-cell>\n          </clr-dg-row>\n\n          <clr-dg-footer>{{users.length}} users</clr-dg-footer>\n      </clr-datagrid>\n\n      <clr-example [clrCode]=\"examples.stringFilterTS\" clrLanguage=\"typescript\"></clr-example>\n      <clr-example [clrCode]=\"examples.stringFilterHTML\" clrLanguage=\"html\"></clr-example>\n\n      <div class=\"alert alert-info\">\n          <div class=\"alert-item\">\n              <span class=\"alert-text\">\n                  We are planning on writing more of these semi-customisable filters in future releases,\n                  including a filter where the user selects values among the ones that are actually\n                  present in the data.\n              </span>\n          </div>\n          <div class=\"alert-item\">\n              <span>\n                  If the one you are looking for isn't implemented yet, you can absolutely write it\n                  yourself using the fully customisable filters. And if you think it's good, feel free\n                  to contribute back to Clarity and add it for everyone!\n              </span>\n          </div>\n      </div>\n    ",
            styles: ["\n      .clr-example{margin-top:24px}.clr-example .main-container{height:auto;padding-top:0;background:#fff}.clr-example .main-container .content-area{overflow-y:hidden}.clr-example.squeeze{padding:48px}.modal.static{position:relative;padding:72px}.modal-backdrop.static{position:absolute;top:0;right:0;bottom:0;left:0}.modal-icon{float:left;color:#60b515;font-size:42px;margin-right:12px}.backdrop-example-container{position:relative;padding:24px}.bump-down{margin-top:24px !important}:not(pre)>code[class*=\"language-\"],pre[class*=\"language-\"],pre,code[class*=\"language-\"]{background:transparent}.color-square{display:inline-block;vertical-align:text-bottom;height:14px;width:14px;border:1px solid black;border-radius:4px}.color-filter{display:block;width:100px}.color-selectable{cursor:pointer;margin:2px;opacity:0.2}.color-selectable:hover,.color-selectable.color-selected{opacity:1}.lorem-ipsum{max-width:300px}.username-list{margin-bottom:0}.username-list .username:not(:last-child)::after{content:\", \"}.username-list .username:last-child::after{content:\".\"}\n    "]
        }), 
        __metadata('design:paramtypes', [inventory_1.Inventory])
    ], DatagridStringFilteringDemo);
    return DatagridStringFilteringDemo;
}());
exports.DatagridStringFilteringDemo = DatagridStringFilteringDemo;
