"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
var core_1 = require("@angular/core");
var values_1 = require("../inventory/values");
var ColorFilter = (function () {
    function ColorFilter() {
        this.allColors = values_1.COLORS;
        this.selectedColors = {};
        this.nbColors = 0;
        this.changes = new core_1.EventEmitter(false);
    }
    ColorFilter.prototype.listSelected = function () {
        var list = [];
        for (var color in this.selectedColors) {
            if (this.selectedColors[color]) {
                list.push(color);
            }
        }
        return list;
    };
    ColorFilter.prototype.toggleColor = function (color) {
        this.selectedColors[color] = !this.selectedColors[color];
        this.selectedColors[color] ? this.nbColors++ : this.nbColors--;
        this.changes.emit(true);
    };
    ColorFilter.prototype.accepts = function (user) {
        return this.nbColors === 0 || this.selectedColors[user.color];
    };
    ColorFilter.prototype.isActive = function () {
        return this.nbColors > 0;
    };
    ColorFilter = __decorate([
        core_1.Component({
            selector: "clr-datagrid-color-filter-demo",
            template: "\n        <span *ngFor=\"let color of allColors\" class=\"color-square color-selectable\"\n            (click)=\"toggleColor(color)\" \n            [style.backgroundColor]=\"color\"\n            [class.color-selected]=\"selectedColors[color]\"></span>",
            styles: ["\n      .clr-example{margin-top:24px}.clr-example .main-container{height:auto;padding-top:0;background:#fff}.clr-example .main-container .content-area{overflow-y:hidden}.clr-example.squeeze{padding:48px}.modal.static{position:relative;padding:72px}.modal-backdrop.static{position:absolute;top:0;right:0;bottom:0;left:0}.modal-icon{float:left;color:#60b515;font-size:42px;margin-right:12px}.backdrop-example-container{position:relative;padding:24px}.bump-down{margin-top:24px !important}:not(pre)>code[class*=\"language-\"],pre[class*=\"language-\"],pre,code[class*=\"language-\"]{background:transparent}.color-square{display:inline-block;vertical-align:text-bottom;height:14px;width:14px;border:1px solid black;border-radius:4px}.color-filter{display:block;width:100px}.color-selectable{cursor:pointer;margin:2px;opacity:0.2}.color-selectable:hover,.color-selectable.color-selected{opacity:1}.lorem-ipsum{max-width:300px}.username-list{margin-bottom:0}.username-list .username:not(:last-child)::after{content:\", \"}.username-list .username:last-child::after{content:\".\"}\n    "]
        }), 
        __metadata('design:paramtypes', [])
    ], ColorFilter);
    return ColorFilter;
}());
exports.ColorFilter = ColorFilter;
