"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var examples_1 = require("./examples");
var ReactiveFormsDemo = (function () {
    function ReactiveFormsDemo() {
        this.examples = examples_1.EXAMPLES;
        this.employeeAddressForm = new forms_1.FormGroup({
            fullName: new forms_1.FormControl("", forms_1.Validators.required),
            address: new forms_1.FormGroup({
                postalCode: new forms_1.FormControl("", forms_1.Validators.required),
                country: new forms_1.FormControl("", forms_1.Validators.required)
            })
        });
        this.submitted = false;
    }
    ReactiveFormsDemo.prototype.onSubmit = function () {
        this.submitted = true;
        console.log(this.employeeAddressForm.value);
    };
    ReactiveFormsDemo.prototype.addNewEmployeeAddress = function () {
        this.employeeAddressForm.reset();
        this.submitted = false;
    };
    ReactiveFormsDemo = __decorate([
        core_1.Component({
            selector: "clr-reactive-forms-demo",
            // Note the .css extension here, not .scss. That's the best we can have at the moment.
            styles: ["\n      .clr-example{margin-top:24px}.clr-example .main-container{height:auto;padding-top:0;background:#fff}.clr-example .main-container .content-area{overflow-y:hidden}.clr-example.squeeze{padding:48px}.modal.static{position:relative;padding:72px}.modal-backdrop.static{position:absolute;top:0;right:0;bottom:0;left:0}.modal-icon{float:left;color:#60b515;font-size:42px;margin-right:12px}.backdrop-example-container{position:relative;padding:24px}.bump-down{margin-top:24px !important}:not(pre)>code[class*=\"language-\"],pre[class*=\"language-\"],pre,code[class*=\"language-\"]{background:transparent}\n    "],
            template: "\n      <!--\n        ~ Copyright (c) 2016 VMware, Inc. All Rights Reserved.\n        ~ This software is released under MIT license.\n        ~ The full license information can be found in LICENSE in the root directory of this project.\n        -->\n\n      <form class=\"form\" [formGroup]=\"employeeAddressForm\" (ngSubmit)=\"onSubmit()\" [hidden]=\"submitted\">\n          <section class=\"form-block\">\n              <label>Add Employee Address</label>\n              <div class=\"form-group\">\n                  <label for=\"empFullName\">Full Name</label>\n                  <label for=\"empFullName\"\n                      aria-haspopup=\"true\"\n                      role=\"tooltip\"\n                      class=\"tooltip tooltip-validation tooltip-sm\"\n                      [class.invalid]=\"employeeAddressForm.get('fullName').invalid\n                          && (employeeAddressForm.get('fullName').dirty || employeeAddressForm.get('fullName').touched)\">\n                      <input id=\"empFullName\" type=\"text\"\n                          formControlName=\"fullName\">\n                      <span class=\"tooltip-content\">\n                          Name is required.\n                      </span>\n                  </label>\n              </div>\n              <div formGroupName=\"address\">\n                  <div class=\"form-group\">\n                      <label for=\"empPostalCode\">Postal Code</label>\n                      <label for=\"empPostalCode\"\n                          aria-haspopup=\"true\"\n                          role=\"tooltip\"\n                          class=\"tooltip tooltip-validation tooltip-sm\"\n                          [class.invalid]=\"employeeAddressForm.get('address').get('postalCode').invalid\n                              && (employeeAddressForm.get('address').get('postalCode').dirty ||\n                              employeeAddressForm.get('address').get('postalCode').touched)\">\n                          <input id=\"empPostalCode\" type=\"text\"\n                              formControlName=\"postalCode\">\n                          <span class=\"tooltip-content\">\n                              Postal code is required.\n                          </span>\n                      </label>\n                  </div>\n                  <div class=\"form-group\">\n                      <label for=\"empCountry\">Country</label>\n                      <label for=\"empCountry\"\n                          aria-haspopup=\"true\"\n                          role=\"tooltip\"\n                          class=\"tooltip tooltip-validation tooltip-sm\"\n                          [class.invalid]=\"employeeAddressForm.get('address').get('country').invalid\n                              && (employeeAddressForm.get('address').get('country').dirty ||\n                              employeeAddressForm.get('address').get('country').touched)\">\n                          <input id=\"empCountry\" type=\"text\"\n                              formControlName=\"country\">\n                          <span class=\"tooltip-content\">\n                              Country is required.\n                          </span>\n                      </label>\n                  </div>\n              </div>\n              <button class=\"btn btn-primary\"\n                  type=\"submit\"\n                  [disabled]=\"employeeAddressForm.invalid\">Add</button>\n          </section>\n      </form>\n\n      <div [hidden]=\"!submitted\">\n          <div class=\"row\">\n              <div class=\"col-xs-12 col-md-6\">\n                  <table class=\"table\">\n                      <thead>\n                          <tr>\n                              <th colspan=\"2\" class=\"left\">\n                                  Employee Address Information\n                              </th>\n                          </tr>\n                      </thead>\n                      <tbody>\n                          <tr>\n                              <td class=\"left\">Full Name</td>\n                              <td class=\"left\">{{employeeAddressForm.get('fullName').value}}</td>\n                          </tr>\n                          <tr>\n                              <td class=\"left\">Postal Code</td>\n                              <td class=\"left\">{{employeeAddressForm.get('address').get('postalCode').value}}</td>\n                          </tr>\n                          <tr>\n                              <td class=\"left\">Country</td>\n                              <td class=\"left\">{{employeeAddressForm.get('address').get('country').value}}</td>\n                          </tr>\n                      </tbody>\n                  </table>\n              </div>\n          </div>\n          <div class=\"row\">\n              <div class=\"col-xs-12\">\n                  <button class=\"btn btn-primary\"\n                      (click)=\"addNewEmployeeAddress();\">New Employee Address</button>\n              </div>\n          </div>\n      </div>\n\n      <clr-example [clrCode]=\"examples.reactiveTS\" clrLanguage=\"typescript\"></clr-example>\n      <clr-example [clrCode]=\"examples.reactiveHTML\" clrLanguage=\"html\"></clr-example>\n    "
        }), 
        __metadata('design:paramtypes', [])
    ], ReactiveFormsDemo);
    return ReactiveFormsDemo;
}());
exports.ReactiveFormsDemo = ReactiveFormsDemo;
