"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
var core_1 = require("@angular/core");
var employee_model_1 = require("../model/employee.model");
var examples_1 = require("./examples");
var TemplateDrivenFormsDemo = (function () {
    function TemplateDrivenFormsDemo() {
        this.examples = examples_1.EXAMPLES;
        this.id = 1;
        this.employeeType = ["Full Time", "Part Time"];
        this.model = new employee_model_1.Employee(this.id, "", "", "");
        this.submitted = false;
    }
    TemplateDrivenFormsDemo.prototype.onSubmit = function () {
        this.submitted = true;
    };
    TemplateDrivenFormsDemo.prototype.addNewEmployee = function () {
        this.submitted = false;
        this.model = new employee_model_1.Employee(++this.id, "", "", "");
    };
    TemplateDrivenFormsDemo = __decorate([
        core_1.Component({
            selector: "clr-template-driven-forms-demo",
            // Note the .css extension here, not .scss. That's the best we can have at the moment.
            styles: ["\n      .clr-example{margin-top:24px}.clr-example .main-container{height:auto;padding-top:0;background:#fff}.clr-example .main-container .content-area{overflow-y:hidden}.clr-example.squeeze{padding:48px}.modal.static{position:relative;padding:72px}.modal-backdrop.static{position:absolute;top:0;right:0;bottom:0;left:0}.modal-icon{float:left;color:#60b515;font-size:42px;margin-right:12px}.backdrop-example-container{position:relative;padding:24px}.bump-down{margin-top:24px !important}:not(pre)>code[class*=\"language-\"],pre[class*=\"language-\"],pre,code[class*=\"language-\"]{background:transparent}\n    "],
            template: "\n      <!--\n        ~ Copyright (c) 2016 VMware, Inc. All Rights Reserved.\n        ~ This software is released under MIT license.\n        ~ The full license information can be found in LICENSE in the root directory of this project.\n        -->\n      <form #employeeForm=\"ngForm\" (ngSubmit)=\"onSubmit()\" [hidden]=\"submitted\">\n          <section class=\"form-block\">\n              <label>Add Employee Information</label>\n              <div class=\"form-group\">\n                  <label for=\"empFirstName\">First Name</label>\n                  <label for=\"empFirstName\"\n                      aria-haspopup=\"true\"\n                      role=\"tooltip\"\n                      class=\"tooltip tooltip-validation tooltip-md\"\n                      [class.invalid]=\"firstNameInput.invalid && (firstNameInput.dirty || firstNameInput.touched)\">\n                      <input type=\"text\" id=\"empFirstName\" placeholder=\"Enter first name\"\n                          required\n                          name=\"firstName\"\n                          [(ngModel)]=\"model.firstName\"\n                          #firstNameInput=\"ngModel\">\n                      <span class=\"tooltip-content\">\n                          First Name is Required.\n                      </span>\n                  </label>\n              </div>\n              <div class=\"form-group\">\n                  <label for=\"empLastName\">Last Name</label>\n                  <label for=\"empLastName\"\n                      aria-haspopup=\"true\"\n                      role=\"tooltip\"\n                      class=\"tooltip tooltip-validation tooltip-md\"\n                      [class.invalid]=\"lastNameInput.invalid && (lastNameInput.dirty || lastNameInput.touched)\">\n                      <input type=\"text\" id=\"empLastName\" placeholder=\"Enter last name\"\n                          required\n                          name=\"lastName\"\n                          [(ngModel)]=\"model.lastName\"\n                          #lastNameInput=\"ngModel\">\n                      <span class=\"tooltip-content\">\n                          Last Name is Required.\n                      </span>\n                  </label>\n              </div>\n              <div class=\"form-group\">\n                  <label for=\"empType\">Employee Type</label>\n                  <div class=\"select\">\n                      <select id=\"empType\"\n                          name=\"employeeType\"\n                          [(ngModel)]=\"model.employeeType\">\n                          <option value=\"Default\">Select Employee Type...</option>\n                          <option *ngFor=\"let type of employeeType\" [value]=\"type\">{{type}}</option>\n                      </select>\n                  </div>\n              </div>\n              <button class=\"btn btn-primary\" type=\"submit\"\n                  [disabled]=\"employeeForm.form.invalid\">Add</button>\n          </section>\n      </form>\n\n      <div [hidden]=\"!submitted\">\n          <div class=\"row\">\n              <div class=\"col-xs-12 col-md-6\">\n                  <table class=\"table\">\n                      <thead>\n                          <tr>\n                              <th colspan=\"2\" class=\"left\">\n                                  Employee Information\n                              </th>\n                          </tr>\n                      </thead>\n                      <tbody>\n                          <tr>\n                              <td class=\"left\">ID</td>\n                              <td class=\"left\">{{model.id}}</td>\n                          </tr>\n                          <tr>\n                              <td class=\"left\">First Name</td>\n                              <td class=\"left\">{{model.firstName}}</td>\n                          </tr>\n                          <tr>\n                              <td class=\"left\">Last Name</td>\n                              <td class=\"left\">{{model.lastName}}</td>\n                          </tr>\n                          <tr>\n                              <td class=\"left\">Employee Type</td>\n                              <td class=\"left\">{{model.employeeType}}</td>\n                          </tr>\n                      </tbody>\n                  </table>\n              </div>\n          </div>\n          <div class=\"row\">\n              <div class=\"col-xs-12\">\n                  <button class=\"btn btn-primary\" (click)=\"addNewEmployee(); employeeForm.reset();\">New Employee</button>\n              </div>\n          </div>\n      </div>\n\n      <clr-example [clrCode]=\"examples.templateHTML\" clrLanguage=\"html\"></clr-example>\n    "
        }), 
        __metadata('design:paramtypes', [])
    ], TemplateDrivenFormsDemo);
    return TemplateDrivenFormsDemo;
}());
exports.TemplateDrivenFormsDemo = TemplateDrivenFormsDemo;
