"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
var core_1 = require("@angular/core");
var ProgressBarInlineDemo = (function () {
    function ProgressBarInlineDemo() {
        this.inlineProgress = 0;
        this.inlineProgressTimerId = -1;
        this.inlineStaticProgbarValue = 0;
        this.staticDangerValue = 0;
        this.staticSuccessValue = 0;
        this.staticLabeledProgbarValue = 0;
    }
    ProgressBarInlineDemo.prototype.getNewValue = function () {
        var random = Math.floor(Math.random() * 98) + 1;
        return parseInt(random + "", 10);
    };
    ProgressBarInlineDemo.prototype.setNewValues = function () {
        this.inlineStaticProgbarValue = this.getNewValue();
        this.staticLabeledProgbarValue = this.getNewValue();
        this.staticDangerValue = this.getNewValue();
        this.staticSuccessValue = this.getNewValue();
        this.runProgressBar();
    };
    ProgressBarInlineDemo.prototype.stopProgressBar = function () {
        if (this.inlineProgressTimerId > -1) {
            clearInterval(this.inlineProgressTimerId);
            this.inlineProgressTimerId = -1;
            this.inlineProgress = 0;
        }
    };
    ProgressBarInlineDemo.prototype.runProgressBar = function () {
        var _this = this;
        this.stopProgressBar();
        this.inlineProgressTimerId = setInterval(function () {
            var oldProgressValue = _this.inlineProgress;
            var increment = Math.floor(Math.random() * 15) + 1;
            increment = parseInt(increment + "", 10);
            var newProgressValue = oldProgressValue + increment;
            newProgressValue = (newProgressValue > 99) ? 100 : newProgressValue;
            _this.inlineProgress = newProgressValue;
            if (newProgressValue > 99) {
                _this.stopProgressBar();
            }
        }, 300);
    };
    ProgressBarInlineDemo.prototype.ngOnInit = function () {
        var _this = this;
        this.runProgressBar();
        setTimeout(function () {
            _this.setNewValues();
        }, 800);
    };
    ProgressBarInlineDemo = __decorate([
        core_1.Component({
            selector: "clr-progress-bar-inline-demo",
            styles: ["\n      .clr-example{margin-top:24px}.clr-example .main-container{height:auto;padding-top:0;background:#fff}.clr-example .main-container .content-area{overflow-y:hidden}.clr-example.squeeze{padding:48px}.modal.static{position:relative;padding:72px}.modal-backdrop.static{position:absolute;top:0;right:0;bottom:0;left:0}.modal-icon{float:left;color:#60b515;font-size:42px;margin-right:12px}.backdrop-example-container{position:relative;padding:24px}.bump-down{margin-top:24px !important}:not(pre)>code[class*=\"language-\"],pre[class*=\"language-\"],pre,code[class*=\"language-\"]{background:transparent}.progress-bars-demo .nav-item{padding:0.4rem 0 0.6rem}.progress-bars-demo .progbar-examples{margin-bottom:1.5rem}.progbar-examples .progress-block{margin-top:1rem}\n    "],
            template: "\n      <!--\n        ~ Copyright (c) 2016 VMware, Inc. All Rights Reserved.\n        ~ This software is released under MIT license.\n        ~ The full license information can be found in LICENSE in the root directory of this project.\n        -->\n\n      <div class=\"progbar-examples\">\n          <h4>Inline Progress Bar</h4>\n          <div class=\"progress-block\">\n              <label>Simple Layout</label>\n              <div class=\"progress\">\n                  <progress value=\"{{inlineProgress}}\" max=\"100\" [attr.data-displayval]=\"inlineProgress + '%'\"></progress>\n              </div>\n              <span>More text</span>\n          </div>\n\n          <div class=\"progress-block\">\n              <label>Complex Layout</label>\n              <div class=\"progress-group\">\n                  <div class=\"row\">\n                      <div class=\"col-xs-6\">Left</div>\n                      <div class=\"col-xs-6 text-right\">Right</div>\n                  </div>\n                  <div class=\"progress-static\">\n                      <div class=\"progress-meter\" [attr.data-value]=\"inlineStaticProgbarValue\" [attr.data-displayval]=\"inlineStaticProgbarValue + '%'\"></div>\n                  </div>\n                  <div class=\"row\">\n                      <div class=\"col-xs-6\">Left</div>\n                      <div class=\"col-xs-6 text-right\">Right</div>\n                  </div>\n              </div>\n              <span>More text</span>\n          </div>\n\n          <h4>Labeled, Static Progress Bar</h4>\n          <div class=\"progress-block\">\n              <label>Complex Layout</label>\n              <div class=\"progress-group\">\n                  <div class=\"row\">\n                      <div class=\"col-xs-6\">Left</div>\n                      <div class=\"col-xs-6 text-right\">Right</div>\n                  </div>\n                  <div class=\"progress-static labeled danger\">\n                      <div class=\"progress-meter\" [attr.data-value]=\"staticLabeledProgbarValue\" [attr.data-displayval]=\"staticLabeledProgbarValue + '%'\"></div>\n                      <span>{{staticLabeledProgbarValue}}%</span>\n                  </div>\n                  <div class=\"row\">\n                      <div class=\"col-xs-6\">Left</div>\n                      <div class=\"col-xs-6 text-right\">Right</div>\n                  </div>\n              </div>\n          </div>\n\n          <h4>Stacked Progress Bars</h4>\n          <div class=\"progress-block\">\n              <label>Stacked Layout</label>\n              <div class=\"progress-group\">\n                  <div class=\"progress-static labeled danger\">\n                      <div class=\"progress-meter\" [attr.data-value]=\"staticDangerValue\" [attr.data-displayval]=\"staticDangerValue + '%'\"></div>\n                      <span>{{staticDangerValue}}%</span>\n                  </div>\n                  <div class=\"progress-static labeled\">\n                      <div class=\"progress-meter\" [attr.data-value]=\"staticLabeledProgbarValue\" [attr.data-displayval]=\"staticLabeledProgbarValue + '%'\"></div>\n                      <span>{{staticLabeledProgbarValue}}%</span>\n                  </div>\n                  <div class=\"progress-static labeled success\">\n                      <div class=\"progress-meter\" [attr.data-value]=\"staticSuccessValue\" [attr.data-displayval]=\"staticSuccessValue + '%'\"></div>\n                      <span>{{staticSuccessValue}}%</span>\n                  </div>\n              </div>\n          </div>\n\n          <div class=\"progress-block\">\n              <label>Stacked (but resized) Layout</label>\n              <div class=\"progress-group\" style=\"font-size: 1px\">\n                  <div class=\"progress-static danger\">\n                      <div class=\"progress-meter\" [attr.data-value]=\"staticDangerValue\" [attr.data-displayval]=\"staticDangerValue + '%'\"></div>\n                      <span>{{staticDangerValue}}%</span>\n                  </div>\n                  <div class=\"progress-static\">\n                      <div class=\"progress-meter\" [attr.data-value]=\"staticLabeledProgbarValue\" [attr.data-displayval]=\"staticLabeledProgbarValue + '%'\"></div>\n                      <span>{{staticLabeledProgbarValue}}%</span>\n                  </div>\n                  <div class=\"progress-static success\">\n                      <div class=\"progress-meter\" [attr.data-value]=\"staticSuccessValue\" [attr.data-displayval]=\"staticSuccessValue + '%'\"></div>\n                      <span>{{staticSuccessValue}}%</span>\n                  </div>\n              </div>\n          </div>\n\n          <p><button class=\"btn btn-outline\" (click)=\"setNewValues()\">Load New Values</button></p>\n      </div>\n\n      <pre>\n      <code clr-code-highlight=\"language-html\">\n      &lt;h4&gt;Inline Progress Bar&lt;/h4&gt;\n      &lt;div class=&quot;progress-block&quot;&gt;\n          &lt;label&gt;Simple Layout&lt;/label&gt;\n          &lt;div class=&quot;progress&quot;&gt;\n              &lt;progress value=&quot;...&quot; max=&quot;100&quot; data-displayval=&quot;...%&quot;&gt;&lt;/progress&gt;\n          &lt;/div&gt;\n          &lt;span&gt;More text&lt;/span&gt;\n      &lt;/div&gt;\n\n      &lt;div class=&quot;progress-block&quot;&gt;\n          &lt;label&gt;Complex Layout&lt;/label&gt;\n          &lt;div class=&quot;progress-group&quot;&gt;\n              &lt;div class=&quot;row&quot;&gt;\n                  &lt;div class=&quot;col-xs-6&quot;&gt;Left&lt;/div&gt;\n                  &lt;div class=&quot;col-xs-6 text-right&quot;&gt;Right&lt;/div&gt;\n              &lt;/div&gt;\n              &lt;div class=&quot;progress-static&quot;&gt;\n                  &lt;div class=&quot;progress-meter&quot; data-value=&quot;...&quot; data-displayval=&quot;...%&quot;&gt;&lt;/div&gt;\n              &lt;/div&gt;\n              &lt;div class=&quot;row&quot;&gt;\n                  &lt;div class=&quot;col-xs-6&quot;&gt;Left&lt;/div&gt;\n                  &lt;div class=&quot;col-xs-6 text-right&quot;&gt;Right&lt;/div&gt;\n              &lt;/div&gt;\n          &lt;/div&gt;\n          &lt;span&gt;More text&lt;/span&gt;\n      &lt;/div&gt;\n\n      &lt;h4&gt;Labeled, Static Progress Bar&lt;/h4&gt;\n      &lt;div class=&quot;progress-block&quot;&gt;\n          &lt;label&gt;Complex Layout&lt;/label&gt;\n          &lt;div class=&quot;progress-group&quot;&gt;\n              &lt;div class=&quot;row&quot;&gt;\n                  &lt;div class=&quot;col-xs-6&quot;&gt;Left&lt;/div&gt;\n                  &lt;div class=&quot;col-xs-6 text-right&quot;&gt;Right&lt;/div&gt;\n              &lt;/div&gt;\n              &lt;div class=&quot;progress-static labeled danger&quot;&gt;\n                  &lt;div class=&quot;progress-meter&quot; data-value=&quot;...&quot; data-displayval=&quot;...%&quot;&gt;&lt;/div&gt;\n                  &lt;span&gt;...%&lt;/span&gt;\n              &lt;/div&gt;\n              &lt;div class=&quot;row&quot;&gt;\n                  &lt;div class=&quot;col-xs-6&quot;&gt;Left&lt;/div&gt;\n                  &lt;div class=&quot;col-xs-6 text-right&quot;&gt;Right&lt;/div&gt;\n              &lt;/div&gt;\n          &lt;/div&gt;\n      &lt;/div&gt;\n\n      &lt;h4&gt;Stacked Progress Bars&lt;/h4&gt;\n      &lt;div class=&quot;progress-block&quot;&gt;\n          &lt;label&gt;Stacked Layout&lt;/label&gt;\n          &lt;div class=&quot;progress-group&quot;&gt;\n              &lt;div class=&quot;progress-static labeled danger&quot;&gt;\n                  &lt;div class=&quot;progress-meter&quot; data-value=&quot;...&quot; data-displayval=&quot;...%&quot;&gt;&lt;/div&gt;\n                  &lt;span&gt;...%&lt;/span&gt;\n              &lt;/div&gt;\n              &lt;div class=&quot;progress-static labeled&quot;&gt;\n                  &lt;div class=&quot;progress-meter&quot; data-value=&quot;...&quot; data-displayval=&quot;...%&quot;&gt;&lt;/div&gt;\n                  &lt;span&gt;...%&lt;/span&gt;\n              &lt;/div&gt;\n              &lt;div class=&quot;progress-static labeled success&quot;&gt;\n                  &lt;div class=&quot;progress-meter&quot; data-value=&quot;...&quot; data-displayval=&quot;...%&quot;&gt;&lt;/div&gt;\n                  &lt;span&gt;...%&lt;/span&gt;\n              &lt;/div&gt;\n          &lt;/div&gt;\n      &lt;/div&gt;\n\n      &lt;div class=&quot;progress-block&quot;&gt;\n          &lt;label&gt;Stacked (but resized) Layout&lt;/label&gt;\n          &lt;div class=&quot;progress-group&quot; style=&quot;font-size: 1px&quot;&gt;\n              &lt;div class=&quot;progress-static danger&quot;&gt;\n                  &lt;div class=&quot;progress-meter&quot; data-value=&quot;...&quot; data-displayval=&quot;...%&quot;&gt;&lt;/div&gt;\n                  &lt;span&gt;...%&lt;/span&gt;\n              &lt;/div&gt;\n              &lt;div class=&quot;progress-static&quot;&gt;\n                  &lt;div class=&quot;progress-meter&quot; data-value=&quot;...&quot; data-displayval=&quot;...%&quot;&gt;&lt;/div&gt;\n                  &lt;span&gt;...%&lt;/span&gt;\n              &lt;/div&gt;\n              &lt;div class=&quot;progress-static success&quot;&gt;\n                  &lt;div class=&quot;progress-meter&quot; data-value=&quot;...&quot; data-displayval=&quot;...%&quot;&gt;&lt;/div&gt;\n                  &lt;span&gt;...%&lt;/span&gt;\n              &lt;/div&gt;\n          &lt;/div&gt;\n      &lt;/div&gt;\n      </code></pre>\n    "
        }), 
        __metadata('design:paramtypes', [])
    ], ProgressBarInlineDemo);
    return ProgressBarInlineDemo;
}());
exports.ProgressBarInlineDemo = ProgressBarInlineDemo;
