"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
var core_1 = require("@angular/core");
var ProgressBarStaticDemo = (function () {
    function ProgressBarStaticDemo() {
        this.staticProgbarValue = 0;
        this.staticDangerValue = 0;
        this.staticSuccessValue = 0;
        this.staticLabeledProgbarValue = 0;
    }
    ProgressBarStaticDemo.prototype.getNewValue = function () {
        var random = Math.floor(Math.random() * 98) + 1;
        return parseInt(random + "", 10);
    };
    ProgressBarStaticDemo.prototype.setNewValues = function () {
        this.staticProgbarValue = this.getNewValue();
        this.staticLabeledProgbarValue = this.getNewValue();
        this.staticDangerValue = this.getNewValue();
        this.staticSuccessValue = this.getNewValue();
    };
    ProgressBarStaticDemo.prototype.ngOnInit = function () {
        var _this = this;
        setTimeout(function () {
            _this.setNewValues();
        }, 800);
    };
    ProgressBarStaticDemo = __decorate([
        core_1.Component({
            selector: "clr-progress-bar-static-demo",
            styles: ["\n      .clr-example{margin-top:24px}.clr-example .main-container{height:auto;padding-top:0;background:#fff}.clr-example .main-container .content-area{overflow-y:hidden}.clr-example.squeeze{padding:48px}.modal.static{position:relative;padding:72px}.modal-backdrop.static{position:absolute;top:0;right:0;bottom:0;left:0}.modal-icon{float:left;color:#60b515;font-size:42px;margin-right:12px}.backdrop-example-container{position:relative;padding:24px}.bump-down{margin-top:24px !important}:not(pre)>code[class*=\"language-\"],pre[class*=\"language-\"],pre,code[class*=\"language-\"]{background:transparent}.progress-bars-demo .nav-item{padding:0.4rem 0 0.6rem}.progress-bars-demo .progbar-examples{margin-bottom:1.5rem}.progbar-examples .progress-block{margin-top:1rem}\n    "],
            template: "\n      <!--\n        ~ Copyright (c) 2016 VMware, Inc. All Rights Reserved.\n        ~ This software is released under MIT license.\n        ~ The full license information can be found in LICENSE in the root directory of this project.\n        -->\n\n      <div class=\"progbar-examples\">\n          <h4>Static Progress Bar</h4>\n          <div class=\"progress-static\">\n              <div class=\"progress-meter\" [attr.data-value]=\"staticProgbarValue\" [attr.data-displayval]=\"staticProgbarValue + '%'\"></div>\n          </div>\n\n          <h4>Labeled, Static Progress Bar</h4>\n          <div class=\"progress-static labeled\">\n              <div class=\"progress-meter\" [attr.data-value]=\"staticLabeledProgbarValue\" [attr.data-displayval]=\"staticLabeledProgbarValue + '%'\"></div>\n              <span>{{staticLabeledProgbarValue}}%</span>\n          </div>\n\n          <h4>Red Static Progress Bar</h4>\n          <div class=\"progress-static danger\">\n              <div class=\"progress-meter\" [attr.data-value]=\"staticDangerValue\"></div>\n          </div>\n\n          <h4>Green Static Progress Bar</h4>\n          <div class=\"progress-static success\">\n              <div class=\"progress-meter\" [attr.data-value]=\"staticSuccessValue\"></div>\n          </div>\n          <p><button class=\"btn btn-outline\" (click)=\"setNewValues()\">Load New Values</button></p>\n      </div>\n\n      <pre>\n      <code clr-code-highlight=\"language-html\">\n      &lt;h4&gt;Static Progress Bar&lt;/h4&gt;\n      &lt;div class=&quot;progress-static&quot;&gt;\n          &lt;div class=&quot;progress-meter&quot; data-value=&quot;16&quot;&gt;&lt;/div&gt;\n      &lt;/div&gt;\n\n      &lt;h4&gt;Labeled, Static Progress Bar&lt;/h4&gt;\n      &lt;div class=&quot;progress-static labeled&quot;&gt;\n          &lt;div class=&quot;progress-meter&quot; data-value=&quot;87&quot; data-displayval=&quot;87%&quot;&gt;&lt;/div&gt;\n          &lt;span&gt;87%&lt;/span&gt;\n      &lt;/div&gt;\n\n      &lt;h4&gt;Red Static Progress Bar&lt;/h4&gt;\n      &lt;div class=&quot;progress-static danger&quot;&gt;\n          &lt;div class=&quot;progress-meter&quot; data-value=&quot;8&quot;&gt;&lt;/div&gt;\n      &lt;/div&gt;\n\n      &lt;h4&gt;Green Static Progress Bar&lt;/h4&gt;\n      &lt;div class=&quot;progress-static success&quot;&gt;\n          &lt;div class=&quot;progress-meter&quot; data-value=&quot;80&quot;&gt;&lt;/div&gt;\n      &lt;/div&gt;\n      </code></pre>\n    "
        }), 
        __metadata('design:paramtypes', [])
    ], ProgressBarStaticDemo);
    return ProgressBarStaticDemo;
}());
exports.ProgressBarStaticDemo = ProgressBarStaticDemo;
