"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
var core_1 = require("@angular/core");
var wizard_1 = require('clarity-angular/wizard/wizard');
var WizardAsyncValidation = (function () {
    function WizardAsyncValidation() {
        this.loadingFlag = false;
        this.errorFlag = false;
        this.code = "\nimport {Component, ViewChild} from \"@angular/core\";\nimport {Wizard} from \"clarity-angular\";\nimport {MyValidationService} from \"service/my-validation\";\n\n@Component({\n    ...\n    providers: [MyValidationService]\n})\nexport class WizardAsyncValidation {\n    @ViewChild(\"wizard\") wizard: Wizard;\n    @ViewChild(\"myForm\") formData: any;\n\n    open: boolean = false;\n    loadingFlag: boolean = false;\n    errorFlag: boolean = false;\n\n    onCommit(): void {\n        let value: any = this.formData.value;\n        this.loadingFlag = true;\n        this.errorFlag = false;\n\n        MyValidationService.validate(this.formData.value)\n            .subscribe(\n                data => {\n                    this.loadingFlag = false;\n                    // on passing validation, programmatically call next to move to next step\n                    this.wizard.next(); \n                },\n                error => {\n                    this.loadingFlag = false;\n                    this.errorFlag = true;\n                }\n            );\n    }\n}\n    ";
        this.html = "\n<clr-wizard #wizard [(clrWizardOpen)]=\"open\">\n    <div class=\"wizard-title\">\n        Wizard Title\n    </div>\n\n    <clr-wizard-step>Async validation</clr-wizard-step>\n    <clr-wizard-step>Wizard complete</clr-wizard-step>\n\n    <clr-wizard-page [clrWizardPagePreventDefault]=\"true\" (clrWizardPageOnCommit)=\"onCommit()\">\n        <div class=\"spinner\" *ngIf=\"loadingFlag\">\n            Loading...\n        </div>\n        <clr-alert [clrAlertType]=\"'alert-info'\" [clrAlertClosable]=\"false\">\n            <div class=\"alert-item\">\n                This&nbsp;<a\n                    href=\"https://en.wikipedia.org/wiki/42_(number)#The_Hitchhiker.27s_Guide_to_the_Galaxy\"\n                    target=\"_blank\">wiki article</a>&nbsp;might help you answer the question.\n            </div>\n        </clr-alert>\n        <clr-alert *ngIf=\"errorFlag\" [clrAlertType]=\"'alert-danger'\">\n            <div class=\"alert-item\">\n                Your answer is incorrect.\n            </div>\n        </clr-alert>\n        <form #myForm=\"ngForm\" [class.hide]=\"loadingFlag\">\n            <section class=\"form-block\">\n                <div class=\"form-group\">\n                    <label for=\"fourtyTwoInput\">The answer to life, the universe and everything</label>\n                    <input type=\"text\" id=\"fourtyTwoInput\" [(ngModel)]=\"answer\" name=\"answer\">\n                </div>\n            </section>\n        </form>\n    </clr-wizard-page>\n    <clr-wizard-page>\n        Congratulations! Now you know the answer to life, the universe and everything!\n    </clr-wizard-page>\n</clr-wizard>\n";
    }
    WizardAsyncValidation.prototype.onCommit = function () {
        var _this = this;
        var value = this.formData.value;
        this.loadingFlag = true;
        this.errorFlag = false;
        setTimeout(function () {
            if (value.answer === "42") {
                _this.wizard.next();
            }
            else {
                _this.errorFlag = true;
            }
            _this.loadingFlag = false;
        }, 1000);
    };
    __decorate([
        core_1.ViewChild("wizard"), 
        __metadata('design:type', wizard_1.Wizard)
    ], WizardAsyncValidation.prototype, "wizard", void 0);
    __decorate([
        core_1.ViewChild("myForm"), 
        __metadata('design:type', Object)
    ], WizardAsyncValidation.prototype, "formData", void 0);
    WizardAsyncValidation = __decorate([
        core_1.Component({
            selector: "clr-wizard-async-validation",
            template: "\n      <!--\n        ~ Copyright (c) 2016 VMware, Inc. All Rights Reserved.\n        ~ This software is released under MIT license.\n        ~ The full license information can be found in LICENSE in the root directory of this project.\n        -->\n\n      <button class=\"btn btn-primary\" (click)=\"wizard.open()\">Wizard with Async Validation</button>\n\n      <clr-wizard #wizard [(clrWizardOpen)]=\"open\">\n          <div class=\"wizard-title\">\n              Wizard Title\n          </div>\n\n          <clr-wizard-step>Async validation</clr-wizard-step>\n          <clr-wizard-step>Wizard complete</clr-wizard-step>\n\n          <clr-wizard-page [clrWizardPagePreventDefault]=\"true\" (clrWizardPageOnCommit)=\"onCommit()\">\n              <div class=\"spinner\" *ngIf=\"loadingFlag\">\n                  Loading...\n              </div>\n              <clr-alert [clrAlertType]=\"'alert-info'\" [clrAlertClosable]=\"false\">\n                  <div class=\"alert-item\">\n                      This&nbsp;<a\n                          href=\"https://en.wikipedia.org/wiki/42_(number)#The_Hitchhiker.27s_Guide_to_the_Galaxy\"\n                          target=\"_blank\">wiki article</a>&nbsp;might help you answer the question.\n                  </div>\n              </clr-alert>\n              <clr-alert *ngIf=\"errorFlag\" [clrAlertType]=\"'alert-danger'\">\n                  <div class=\"alert-item\">\n                      Your answer is incorrect.\n                  </div>\n              </clr-alert>\n              <form #myForm=\"ngForm\" [class.hide]=\"loadingFlag\">\n                  <section class=\"form-block\">\n                      <div class=\"form-group\">\n                          <label for=\"fourtyTwoInput\">The answer to life, the universe and everything</label>\n                          <input type=\"text\" id=\"fourtyTwoInput\" [(ngModel)]=\"answer\" name=\"answer\">\n                      </div>\n                  </section>\n              </form>\n          </clr-wizard-page>\n          <clr-wizard-page>\n              Congratulations! Now you know the answer to life, the universe and everything!\n          </clr-wizard-page>\n      </clr-wizard>\n\n      <clr-example [clrLanguage]=\"'typescript'\" [clrCode]=\"code\"></clr-example>\n      <clr-example [clrLanguage]=\"'html'\" [clrCode]=\"html\"></clr-example>\n    "
        }), 
        __metadata('design:paramtypes', [])
    ], WizardAsyncValidation);
    return WizardAsyncValidation;
}());
exports.WizardAsyncValidation = WizardAsyncValidation;
