"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
var core_1 = require("@angular/core");
var wizard_1 = require('clarity-angular/wizard/wizard');
var code_highlight_1 = require('clarity-angular/code/code-highlight');
var WizardBasic = (function () {
    function WizardBasic() {
        this.code = "\nimport {Component, ViewChild} from \"@angular/core\";\nimport {Wizard} from \"clarity-angular\";\n\n@Component({\n    ...\n})\nexport class WizardSimple {\n    @ViewChild(\"wizard\") wizard: Wizard;\n    open: boolean = false; // you can open the wizard by setting this variable to true\n\n    // you can also open the wizard programmatically here by calling wizard.open()\n\n}\n    ";
        this.html = "\n<clr-wizard #wizard [(clrWizardOpen)]=\"open\" [clrWizardSize]=\"'lg'\">\n    <div class=\"wizard-title\">Wizard Title</div>\n\n    <clr-wizard-step>Step 1</clr-wizard-step>\n    <clr-wizard-step>Step 2</clr-wizard-step>\n    <clr-wizard-step>Step 3</clr-wizard-step>\n\n    <clr-wizard-page>Content for step 1</clr-wizard-page>\n    <clr-wizard-page>Content for step 2</clr-wizard-page>\n    <clr-wizard-page>Content for step 3</clr-wizard-page>\n</clr-wizard>\n";
    }
    __decorate([
        core_1.ViewChild("wizardmd"), 
        __metadata('design:type', wizard_1.Wizard)
    ], WizardBasic.prototype, "wizardMedium", void 0);
    __decorate([
        core_1.ViewChild("wizardlg"), 
        __metadata('design:type', wizard_1.Wizard)
    ], WizardBasic.prototype, "wizardLarge", void 0);
    __decorate([
        core_1.ViewChild("wizardxlg"), 
        __metadata('design:type', wizard_1.Wizard)
    ], WizardBasic.prototype, "wizardDefault", void 0);
    __decorate([
        core_1.ViewChild(code_highlight_1.CodeHighlight), 
        __metadata('design:type', code_highlight_1.CodeHighlight)
    ], WizardBasic.prototype, "codeHighlight", void 0);
    WizardBasic = __decorate([
        core_1.Component({
            selector: "clr-wizard-basic",
            template: "\n      <!--\n        ~ Copyright (c) 2016 VMware, Inc. All Rights Reserved.\n        ~ This software is released under MIT license.\n        ~ The full license information can be found in LICENSE in the root directory of this project.\n        -->\n\n      <button class=\"btn btn-primary\" (click)=\"wizardMedium.open()\">Medium Wizard</button>\n      <button class=\"btn btn-primary\" (click)=\"wizardLarge.open()\">Large Wizard</button>\n      <button class=\"btn btn-primary\" (click)=\"wizardDefault.open()\">Default Wizard</button>\n\n      <clr-wizard #wizardmd [(clrWizardOpen)]=\"open\" [clrWizardSize]=\"'md'\">\n          <div class=\"wizard-title\">Wizard Title</div>\n\n          <clr-wizard-step>Step 1</clr-wizard-step>\n          <clr-wizard-step>Step 2</clr-wizard-step>\n          <clr-wizard-step>Step 3</clr-wizard-step>\n\n          <clr-wizard-page>Content for step 1</clr-wizard-page>\n          <clr-wizard-page>Content for step 2</clr-wizard-page>\n          <clr-wizard-page>Content for step 3</clr-wizard-page>\n      </clr-wizard>\n\n      <clr-wizard #wizardlg [(clrWizardOpen)]=\"open\" [clrWizardSize]=\"'lg'\">\n          <div class=\"wizard-title\">Wizard Title</div>\n\n          <clr-wizard-step>Step 1</clr-wizard-step>\n          <clr-wizard-step>Step 2</clr-wizard-step>\n          <clr-wizard-step>Step 3</clr-wizard-step>\n\n          <clr-wizard-page>Content for step 1</clr-wizard-page>\n          <clr-wizard-page>Content for step 2</clr-wizard-page>\n          <clr-wizard-page>Content for step 3</clr-wizard-page>\n      </clr-wizard>\n\n      <clr-wizard #wizardxlg [(clrWizardOpen)]=\"open\">\n          <div class=\"wizard-title\">Wizard Title</div>\n\n          <clr-wizard-step>Step 1</clr-wizard-step>\n          <clr-wizard-step>Step 2</clr-wizard-step>\n          <clr-wizard-step>Step 3</clr-wizard-step>\n\n          <clr-wizard-page>Content for step 1</clr-wizard-page>\n          <clr-wizard-page>Content for step 2</clr-wizard-page>\n          <clr-wizard-page>Content for step 3</clr-wizard-page>\n      </clr-wizard>\n\n      <clr-example [clrLanguage]=\"'typescript'\" [clrCode]=\"code\"></clr-example>\n      <clr-example [clrLanguage]=\"'html'\" [clrCode]=\"html\"></clr-example>\n    "
        }), 
        __metadata('design:paramtypes', [])
    ], WizardBasic);
    return WizardBasic;
}());
exports.WizardBasic = WizardBasic;
