"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
var core_1 = require("@angular/core");
var wizard_1 = require('clarity-angular/wizard/wizard');
var WizardFormValidation = (function () {
    function WizardFormValidation() {
        this.model = {
            name: "",
            favorite: ""
        };
        this.code = "\nimport {Component, ViewChild} from \"@angular/core\";\nimport {Wizard} from \"clarity-angular\";\n\n@Component({\n    ...\n})\nexport class WizardFormValidation {\n    @ViewChild(\"wizard\") wizard: Wizard;\n    open: boolean = false;\n\n    model = {\n        name: \"\",\n        favorite: \"\"\n    }; \n}\n    ";
        this.html = "\n<clr-wizard #wizard [(clrWizardOpen)]=\"open\">\n    <div class=\"wizard-title\">\n        Wizard Title\n    </div>\n\n    <clr-wizard-step>Form with validation</clr-wizard-step>\n    <clr-wizard-step>Wizard complete</clr-wizard-step>\n\n    <clr-wizard-page [clrWizardPageNextDisabled]=\"!myForm.form.valid\">\n        <form #myForm=\"ngForm\">\n            <section class=\"form-block\">\n                <label>My Form</label>\n                <div class=\"form-group\">\n                    <label class=\"required\">Name</label>\n                    <label for=\"nameInput\" aria-haspopup=\"true\" role=\"tooltip\"\n                           [class.invalid]=\"name.touched && !name.valid\"\n                           class=\"tooltip tooltip-validation tooltip-md tooltip-bottom-right\">\n                        <input type=\"text\" id=\"nameInput\" required [(ngModel)]=\"model.name\" name=\"name\" #name=\"ngModel\">\n                        <span class=\"tooltip-content\">\n                          This field cannot be empty!\n                      </span>\n                    </label>\n                </div>\n                <div class=\"form-group\">\n                    <label for=\"favInput\">Favorite food</label>\n                    <input type=\"text\" id=\"favInput\" [(ngModel)]=\"model.favorite\" name=\"favorite\">\n                </div>\n            </section>\n        </form>\n    </clr-wizard-page>\n    <clr-wizard-page>\n        Congratulations! You are done with this wizard.\n    </clr-wizard-page>\n</clr-wizard>\n    ";
    }
    __decorate([
        core_1.ViewChild("wizard"), 
        __metadata('design:type', wizard_1.Wizard)
    ], WizardFormValidation.prototype, "wizard", void 0);
    WizardFormValidation = __decorate([
        core_1.Component({
            selector: "clr-wizard-form-validation",
            template: "\n      <!--\n        ~ Copyright (c) 2016 VMware, Inc. All Rights Reserved.\n        ~ This software is released under MIT license.\n        ~ The full license information can be found in LICENSE in the root directory of this project.\n        -->\n\n      <button class=\"btn btn-primary\" (click)=\"wizard.open()\">Wizard with Form Validation</button>\n\n      <clr-wizard #wizard [(clrWizardOpen)]=\"open\">\n          <div class=\"wizard-title\">\n              Wizard Title\n          </div>\n\n          <clr-wizard-step>Form with validation</clr-wizard-step>\n          <clr-wizard-step>Wizard complete</clr-wizard-step>\n\n          <clr-wizard-page [clrWizardPageNextDisabled]=\"!myForm.form.valid\">\n              <form #myForm=\"ngForm\">\n                  <section class=\"form-block\">\n                      <label>My Form</label>\n                      <div class=\"form-group\">\n                          <label>Name</label>\n                          <label for=\"nameInput\" aria-haspopup=\"true\" role=\"tooltip\"\n                                 [class.invalid]=\"name.touched && !name.valid\"\n                                 class=\"tooltip tooltip-validation tooltip-md tooltip-bottom-right\">\n                              <input type=\"text\" id=\"nameInput\" required [(ngModel)]=\"model.name\" name=\"name\" #name=\"ngModel\">\n                              <span class=\"tooltip-content\">\n                                This field cannot be empty!\n                            </span>\n                          </label>\n                      </div>\n                      <div class=\"form-group\">\n                          <label for=\"favInput\">Favorite food</label>\n                          <input type=\"text\" id=\"favInput\" [(ngModel)]=\"model.favorite\" name=\"favorite\">\n                      </div>\n                  </section>\n              </form>\n          </clr-wizard-page>\n          <clr-wizard-page>\n              Congratulations! You are done with this wizard.\n          </clr-wizard-page>\n      </clr-wizard>\n\n      <clr-example [clrLanguage]=\"'typescript'\" [clrCode]=\"code\"></clr-example>\n      <clr-example [clrLanguage]=\"'html'\" [clrCode]=\"html\"></clr-example>\n    "
        }), 
        __metadata('design:paramtypes', [])
    ], WizardFormValidation);
    return WizardFormValidation;
}());
exports.WizardFormValidation = WizardFormValidation;
