"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
var core_1 = require("@angular/core");
var wizard_1 = require('clarity-angular/wizard/wizard');
var code_highlight_1 = require('clarity-angular/code/code-highlight');
var WizardNotClosable = (function () {
    function WizardNotClosable() {
        this.html = "\n<clr-wizard [(clrWizardOpen)]=\"open\" [clrWizardClosable]=\"false\" [clrWizardSize]=\"'md'\">\n    <div class=\"wizard-title\">Wizard Title</div>\n\n    <clr-wizard-step>Step 1</clr-wizard-step>\n    <clr-wizard-step>Step 2</clr-wizard-step>\n    <clr-wizard-step>Step 3</clr-wizard-step>\n\n    <clr-wizard-page>Note that there is no closing &times; icon in the top right.</clr-wizard-page>\n    <clr-wizard-page>Content for step 2</clr-wizard-page>\n    <clr-wizard-page>Content for step 3</clr-wizard-page>\n</clr-wizard>\n    ";
    }
    __decorate([
        core_1.ViewChild("wizardclos"), 
        __metadata('design:type', wizard_1.Wizard)
    ], WizardNotClosable.prototype, "wizardClosable", void 0);
    __decorate([
        core_1.ViewChild(code_highlight_1.CodeHighlight), 
        __metadata('design:type', code_highlight_1.CodeHighlight)
    ], WizardNotClosable.prototype, "codeHighlight", void 0);
    WizardNotClosable = __decorate([
        core_1.Component({
            selector: "clr-wizard-not-closable",
            template: "\n      <!--\n        ~ Copyright (c) 2016 VMware, Inc. All Rights Reserved.\n        ~ This software is released under MIT license.\n        ~ The full license information can be found in LICENSE in the root directory of this project.\n        -->\n\n      <button class=\"btn btn-primary\" (click)=\"wizardClosable.open()\">Wizard, Not Closable</button>\n\n      <clr-wizard #wizardclos [(clrWizardOpen)]=\"open\" [clrWizardClosable]=\"false\" [clrWizardSize]=\"'md'\">\n          <div class=\"wizard-title\">Wizard Title</div>\n\n          <clr-wizard-step>Step 1</clr-wizard-step>\n          <clr-wizard-step>Step 2</clr-wizard-step>\n          <clr-wizard-step>Step 3</clr-wizard-step>\n\n          <clr-wizard-page>Note that there is no closing &times; icon in the top right.</clr-wizard-page>\n          <clr-wizard-page>Content for step 2</clr-wizard-page>\n          <clr-wizard-page>Content for step 3</clr-wizard-page>\n      </clr-wizard>\n\n      <clr-example [clrLanguage]=\"'html'\" [clrCode]=\"html\"></clr-example>\n    "
        }), 
        __metadata('design:paramtypes', [])
    ], WizardNotClosable);
    return WizardNotClosable;
}());
exports.WizardNotClosable = WizardNotClosable;
