"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
var core_1 = require("@angular/core");
var WizardOptionsDemo = (function () {
    function WizardOptionsDemo() {
    }
    WizardOptionsDemo = __decorate([
        core_1.Component({
            selector: "clr-wizard-options",
            template: "\n      <!--\n        ~ Copyright (c) 2016 VMware, Inc. All Rights Reserved.\n        ~ This software is released under MIT license.\n        ~ The full license information can be found in LICENSE in the root directory of this project.\n        -->\n\n      <h3>Summary of Options</h3>\n      <table class=\"table\">\n          <thead>\n          <tr>\n              <th class=\"left\">Input/Output</th>\n              <th>Values</th>\n              <th>Default</th>\n              <th class=\"left\">Effect</th>\n          </tr>\n          </thead>\n          <tbody>\n          <tr>\n              <td class=\"left\">[(clrWizardOpen)]</td>\n              <td>true, false</td>\n              <td>false</td>\n              <td class=\"left\">\n                  Two-way binding on the state of the wizard: open or closed.\n              </td>\n          </tr>\n          <tr>\n              <td class=\"left\">(clrWizardOpenChanged)</td>\n              <td>true, false</td>\n              <td>N/A</td>\n              <td class=\"left\">\n                  Emits the state of the wizard when a wizard is open or closed.\n              </td>\n          </tr>\n          <tr>\n              <td class=\"left\">(clrWizardOnCancel)</td>\n              <td>any</td>\n              <td>N/A</td>\n              <td class=\"left\">\n                  Emits an event when the close or cancel button is clicked on the wizard page.\n              </td>\n          </tr>\n          <tr>\n              <td class=\"left\">[clrWizardSize]</td>\n              <td>\"md\", \"lg\", \"xl\"</td>\n              <td>\"xl\"</td>\n              <td class=\"left\">Sets the size of the wizard.</td>\n          </tr>\n          <tr>\n              <td class=\"left\">[clrWizardStepId]</td>\n              <td>&lt;any valid id for html element&gt;</td>\n              <td>auto-generated</td>\n              <td class=\"left\">\n                  Used on &lt;clr-wizard-step&gt;. If explicitly set, will assign the set id as the id for the\n                  element. If not set, the component will auto-generate the id. You can skip or unskip a step in the\n                  wizard by passing in the id to wizard's skipTab an unSkipTab methods.\n              </td>\n          </tr>\n\n          <tr>\n              <td class=\"left\">[clrWizardStepIsSkipped]</td>\n              <td>true, false</td>\n              <td>false</td>\n              <td class=\"left\">\n                  Used on &lt;clr-wizard-step&gt;. If true, the wizard will skip this step and not display it.\n              </td>\n          </tr>\n          <tr>\n              <td class=\"left\">[clrWizardPageErrorFlag]</td>\n              <td>true, false</td>\n              <td>false</td>\n              <td class=\"left\">\n                  Used on &lt;clr-wizard-page&gt;. If true, signifies that there was an error on the wizard page.\n              </td>\n          </tr>\n          <tr>\n              <td class=\"left\">[clrWizardPageIsSkipped]</td>\n              <td>true, false</td>\n              <td>false</td>\n              <td class=\"left\">\n                  Used on &lt;clr-wizard-page&gt;. If true, the wizard will skip this page and not display it.\n              </td>\n          </tr>\n          <tr>\n              <td class=\"left\">[clrWizardPageNextDisabled]</td>\n              <td>true, false</td>\n              <td>false</td>\n              <td class=\"left\">\n                  Used on &lt;clr-wizard-page&gt;. If true, the wizard's next or finish button will be disabled.\n              </td>\n          </tr>\n          <tr>\n              <td class=\"left\">(clrWizardPageNextDisabledChanged)</td>\n              <td>any</td>\n              <td>N/A</td>\n              <td class=\"left\">\n                  Emits the state of the wizard page when the nextDisabled status changes.\n              </td>\n          </tr>\n          <tr>\n              <td class=\"left\">(clrWizardPageOnCommit)</td>\n              <td>any</td>\n              <td>N/A</td>\n              <td class=\"left\">\n                  Emits an event when the next or finish button is clicked on the wizard page.\n              </td>\n          </tr>\n          <tr>\n              <td class=\"left\">(clrWizardPageOnLoad)</td>\n              <td>any</td>\n              <td>N/A</td>\n              <td class=\"left\">\n                  Emits an event when loading the wizard page.\n              </td>\n          </tr>\n          <tr>\n              <td class=\"left\">[clrWizardClosable]</td>\n              <td>boolean</td>\n              <td>true</td>\n              <td class=\"left\">\n                  If set to false, this will remove the closing &times; element in the top right. This \n                  means that users will need to click the Cancel button to exit the wizard without finishing.\n              </td>\n          </tr>\n          </tbody>\n      </table>\n    "
        }), 
        __metadata('design:paramtypes', [])
    ], WizardOptionsDemo);
    return WizardOptionsDemo;
}());
exports.WizardOptionsDemo = WizardOptionsDemo;
