"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
var core_1 = require("@angular/core");
var wizard_1 = require('clarity-angular/wizard/wizard');
var WizardSimple = (function () {
    function WizardSimple() {
        this.stepToSkip = "step2";
        this.code = "\nimport {Component, ViewChild} from \"@angular/core\";\nimport {Wizard} from \"clarity-angular\";\n\n@Component({\n    ...\n})\nexport class WizardSimple {\n    @ViewChild(\"wizard\") wizard: Wizard;\n\n    stepToSkip: string = \"step2\";\n\n    onChangeStepToSkip(tabId: string): void {\n        if (tabId === \"step2\") {\n            this.wizard.skipTab(tabId);\n            this.wizard.unSkipTab(\"step3\");\n        } else {\n            this.wizard.skipTab(tabId);\n            this.wizard.unSkipTab(\"step2\");\n        }\n    }\n}\n    ";
        this.html = "\n<clr-wizard #wizard [(clrWizardOpen)]=\"open\">\n    <div class=\"wizard-title\">Wizard Title</div>\n\n    <clr-wizard-step>Step 1</clr-wizard-step>\n\n    <clr-wizard-step\n            [clrWizardStepId]=\"'step2'\"\n            [clrWizardStepIsSkipped]=\"true\">\n        Step 2\n    </clr-wizard-step>\n\n    <clr-wizard-step [clrWizardStepId]=\"'step3'\">\n        Step 3\n    </clr-wizard-step>\n\n    <clr-wizard-page>\n        <form #myForm=\"ngForm\"\n              (change)=\"onChangeStepToSkip(stepToSkip)\">\n            <section class=\"form-block\">\n                <p>\n                    Select the step to skip\n                </p>\n                <div class=\"form-group validated-input \">\n                    <label for=\"selectStepToSkip\">Step</label>\n                    <div class=\"select\">\n                        <select id=\"selectStepToSkip\" [(ngModel)]=\"stepToSkip\" name=\"stepToSkip\">\n                            <option value=\"step2\" selected>Step 2</option>\n                            <option value=\"step3\">Step 3</option>\n                        </select>\n                    </div>\n                </div>\n            </section>\n        </form>\n    </clr-wizard-page>\n\n    <clr-wizard-page [clrWizardPageIsSkipped]=\"true\">\n        <div class=\"wizard-page-title\">My custom title for step 2</div>\n        Step 2 is your last step, because you opted to skip step 3.\n    </clr-wizard-page>\n\n    <clr-wizard-page>\n        We went straight to Step 3, because you opted to skip step 2.\n    </clr-wizard-page>\n</clr-wizard>\n    ";
    }
    WizardSimple.prototype.onChangeStepToSkip = function (tabId) {
        if (tabId === "step2") {
            this.wizard.skipTab(tabId);
            this.wizard.unSkipTab("step3");
        }
        else {
            this.wizard.skipTab(tabId);
            this.wizard.unSkipTab("step2");
        }
    };
    __decorate([
        core_1.ViewChild("wizard"), 
        __metadata('design:type', wizard_1.Wizard)
    ], WizardSimple.prototype, "wizard", void 0);
    WizardSimple = __decorate([
        core_1.Component({
            selector: "clr-wizard-simple",
            template: "\n      <!--\n        ~ Copyright (c) 2016 VMware, Inc. All Rights Reserved.\n        ~ This software is released under MIT license.\n        ~ The full license information can be found in LICENSE in the root directory of this project.\n        -->\n\n      <button class=\"btn btn-primary\" (click)=\"wizard.open()\">Simple Wizard</button>\n\n      <clr-wizard #wizard [(clrWizardOpen)]=\"open\">\n          <div class=\"wizard-title\">Wizard Title</div>\n\n          <clr-wizard-step>Step 1</clr-wizard-step>\n\n          <clr-wizard-step\n                  [clrWizardStepId]=\"'step2'\"\n                  [clrWizardStepIsSkipped]=\"true\">\n              Step 2\n          </clr-wizard-step>\n\n          <clr-wizard-step [clrWizardStepId]=\"'step3'\">\n              Step 3\n          </clr-wizard-step>\n\n          <clr-wizard-page>\n              <form #myForm=\"ngForm\"\n                    (change)=\"onChangeStepToSkip(stepToSkip)\">\n                  <section class=\"form-block\">\n                      <div class=\"form-group validated-input \">\n                          <label for=\"selectStepToSkip\">Step to skip</label>\n                          <div class=\"select\">\n                              <select id=\"selectStepToSkip\" [(ngModel)]=\"stepToSkip\" name=\"stepToSkip\">\n                                  <option value=\"step2\" selected>Step 2</option>\n                                  <option value=\"step3\">Step 3</option>\n                              </select>\n                          </div>\n                      </div>\n                  </section>\n              </form>\n          </clr-wizard-page>\n\n          <clr-wizard-page [clrWizardPageIsSkipped]=\"true\">\n              <div class=\"wizard-page-title\">My custom title for step 2</div>\n              Step 2 is your last step, because you opted to skip step 3.\n          </clr-wizard-page>\n\n          <clr-wizard-page>\n              We went straight to Step 3, because you opted to skip step 2.\n          </clr-wizard-page>\n      </clr-wizard>\n\n      <clr-example [clrLanguage]=\"'typescript'\" [clrCode]=\"code\"></clr-example>\n      <clr-example [clrLanguage]=\"'html'\" [clrCode]=\"html\"></clr-example>\n    "
        }), 
        __metadata('design:paramtypes', [])
    ], WizardSimple);
    return WizardSimple;
}());
exports.WizardSimple = WizardSimple;
