"use strict";
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
exports.EXAMPLES = {
    reactiveTS: "\nimport {Component} from \"@angular/core\";\n\nimport {FormGroup, FormControl, Validators} from \"@angular/forms\";\n\n@Component({\n    ...\n})\nexport class ReactiveFormsDemo {\n    employeeAddressForm = new FormGroup({\n        fullName: new FormControl('', Validators.required),\n        address: new FormGroup({\n            postalCode: new FormControl('', Validators.required),\n            country: new FormControl('', Validators.required)\n        })\n    });\n\n    submitted = false;\n\n    onSubmit() {\n        ...\n    }\n\n    addNewEmployeeAddress() {\n        this.employeeAddressForm.reset();\n        this.submitted = false;\n    }\n}\n",
    reactiveHTML: "\n<form class=\"form\" [formGroup]=\"employeeAddressForm\" (ngSubmit)=\"onSubmit()\" [hidden]=\"submitted\">\n    <section class=\"form-block\">\n        <label>Add Employee Address</label>\n        <div class=\"form-group\">\n            <label for=\"empFullName\">Full Name</label>\n            <label for=\"empFullName\"\n                aria-haspopup=\"true\"\n                role=\"tooltip\"\n                class=\"tooltip tooltip-validation tooltip-sm\"\n                [class.invalid]=\"employeeAddressForm.get('fullName').invalid\n                    && (employeeAddressForm.get('fullName').dirty || employeeAddressForm.get('fullName').touched)\">\n                <input id=\"empFullName\" type=\"text\"\n                    formControlName=\"fullName\">\n                <span class=\"tooltip-content\">\n                    Name is required.\n                </span>\n            </label>\n        </div>\n        <div formGroupName=\"address\">\n            <div class=\"form-group\">\n                <label for=\"empPostalCode\">Postal Code</label>\n                <label for=\"empPostalCode\"\n                    aria-haspopup=\"true\"\n                    role=\"tooltip\"\n                    class=\"tooltip tooltip-validation tooltip-sm\"\n                    [class.invalid]=\"employeeAddressForm.get('address').get('postalCode').invalid\n                        && (employeeAddressForm.get('address').get('postalCode').dirty ||\n                        employeeAddressForm.get('address').get('postalCode').touched)\">\n                    <input id=\"empPostalCode\" type=\"text\"\n                        formControlName=\"postalCode\">\n                    <span class=\"tooltip-content\">\n                        Postal code is required.\n                    </span>\n                </label>\n            </div>\n            <div class=\"form-group\">\n                <label for=\"empCountry\">Country</label>\n                <label for=\"empCountry\"\n                    aria-haspopup=\"true\"\n                    role=\"tooltip\"\n                    class=\"tooltip tooltip-validation tooltip-sm\"\n                    [class.invalid]=\"employeeAddressForm.get('address').get('country').invalid\n                        && (employeeAddressForm.get('address').get('country').dirty ||\n                        employeeAddressForm.get('address').get('country').touched)\">\n                    <input id=\"empCountry\" type=\"text\"\n                        formControlName=\"country\">\n                    <span class=\"tooltip-content\">\n                        Country is required.\n                    </span>\n                </label>\n            </div>\n        </div>\n        <button class=\"btn btn-primary\"\n            type=\"submit\"\n            [disabled]=\"employeeAddressForm.invalid\">Add</button>\n    </section>\n</form>\n"
};
