"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
var core_1 = require("@angular/core");
var TypographyTextDemo = (function () {
    function TypographyTextDemo() {
    }
    TypographyTextDemo = __decorate([
        core_1.Component({
            selector: "clr-typography-text",
            styles: ["\n      .clr-example{margin-top:24px}.clr-example .main-container{height:auto;padding-top:0;background:#fff}.clr-example .main-container .content-area{overflow-y:hidden}.clr-example.squeeze{padding:48px}.modal.static{position:relative;padding:72px}.modal-backdrop.static{position:absolute;top:0;right:0;bottom:0;left:0}.modal-icon{float:left;color:#60b515;font-size:42px;margin-right:12px}.backdrop-example-container{position:relative;padding:24px}.bump-down{margin-top:24px !important}:not(pre)>code[class*=\"language-\"],pre[class*=\"language-\"],pre,code[class*=\"language-\"]{background:transparent}.link-normal{color:#007cbb;text-decoration:none}.link-hovered{color:#007cbb;text-decoration:underline}.link-clicked{color:#9460b8;text-decoration:underline}.link-visited{color:#9460b8;text-decoration:none}.typography-demo-table td>*{margin-top:0}.typography-demo-table td>ul.list-unstyled{margin-left:0;list-style-position:0}\n    "],
            template: "\n      <!--\n        ~ Copyright (c) 2016 VMware, Inc. All Rights Reserved.\n        ~ This software is released under MIT license.\n        ~ The full license information can be found in LICENSE in the root directory of this project.\n        -->\n\n      <table class=\"table typography-demo-table\">\n          <thead>\n              <tr>\n                  <th class=\"left\">Style Name</th>\n                  <th class=\"left\">Attributes</th>\n                  <th class=\"left\">Selectors</th>\n                  <th class=\"left\">Used For</th>\n              </tr>\n          </thead>\n          <tbody>\n              <tr>\n                  <td class=\"left\"><p class=\"p1\">Body text</p></td>\n                  <td class=\"left\">\n                      <ul class=\"list compact list-unstyled\">\n                          <li>Metropolis Regular</li>\n                          <li>color: #565656</li>\n                          <li>font-size: 14px</li>\n                          <li>letter-spacing: normal</li>\n                      </ul>\n                  </td>\n                  <td class=\"left\"><code class=\"clr-code\">p, .p1</code></td>\n                  <td class=\"left\">\n                      <ul class=\"list compact list-unstyled\">\n                          <li>Default text styling <em>(page_bodyText)</em></li>\n                          <li>Sidenav text <em>(sidenav_text)</em></li>\n                          <li>Body text in cards <em>(card_text)</em></li>\n                          <li>Text and dropdowns <em>(dropdown_text)</em></li>\n                          <li>Tab navigation links <em>(tab_text)</em></li>\n                          <li>Wizard steps and table of contents</li>\n                          <li>General paragraphs, sentences, lists</li>\n                      </ul>\n                  </td>\n              </tr>\n              <tr>\n                  <td class=\"left\"><p class=\"p2\">Section header</p></td>\n                  <td class=\"left\">\n                      <ul class=\"list compact list-unstyled\">\n                          <li>Metropolis Medium</li>\n                          <li>color: #565656</li>\n                          <li>font-size: 13px</li>\n                          <li>letter-spacing: normal</li>\n                      </ul>\n                  <td class=\"left\"><code class=\"clr-code\">.p2</code></td>\n                  <td class=\"left\">\n                      <ul class=\"list compact list-unstyled\">\n                          <li>Stack view header <em>(stackview_header)</em></li>\n                          <li>Form headers</li>\n                          <li>Tree view headers</li>\n                      </ul>\n                  </td>\n              </tr>\n              <tr>\n                  <td class=\"left\"><p class=\"p3\">Table, grid, and form text</p></td>\n                  <td class=\"left\">\n                      <ul class=\"list compact list-unstyled\">\n                          <li>Metropolis Regular</li>\n                          <li>color: #565656</li>\n                          <li>font-size: 13px</li>\n                          <li>letter-spacing: normal</li>\n                      </ul>\n                  </td>\n                  <td class=\"left\"><code class=\"clr-code\">.p3</code></td>\n                  <td class=\"left\">\n                      <ul class=\"list compact list-unstyled\">\n                          <li>Button text</li>\n                          <li>Text in alerts <em>(alert_text)</em></li>\n                          <li>Stack view text <em>(stackview_text)</em></li>\n                          <li>Datagrid text <em>(table_text)</em></li>\n                          <li>Text in HTML tables <em>(table_text)</em></li>\n                          <li>Text in tooltips and validations <em>(tooltip_text)</em></li>\n                          <li>Form text</li>\n                          <li>Treeview text</li>\n                      </ul>\n                  </td>\n              </tr>\n              <tr>\n                  <td class=\"left\"><p class=\"p4\">Form labels and column headers</p></td>\n                  <td class=\"left\">\n                      <ul class=\"list compact list-unstyled\">\n                          <li>Metropolis Semibold</li>\n                          <li>color: #565656</li>\n                          <li>font-size: 12px</li>\n                          <li>letter-spacing: normal</li>\n                      </ul>\n                  </td>\n                  <td class=\"left\"><code class=\"clr-code\">.p4</code></td>\n                  <td class=\"left\">\n                      <ul class=\"list compact list-unstyled\">\n                          <li>Table and datagrid headers <em>(table_header)</em></li>\n                          <li>Dropdown headers <em>(dropdown_header)</em></li>\n                      </ul>\n                  </td>\n              </tr>\n              <tr>\n                  <td class=\"left\"><p class=\"p5\">Table footers and chart data</p></td>\n                  <td class=\"left\">\n                      <ul class=\"list compact list-unstyled\">\n                          <li>Metropolis Regular</li>\n                          <li>color: #565656</li>\n                          <li>font-size: 12px</li>\n                          <li>letter-spacing: normal</li>\n                      </ul>\n                  </td>\n                  <td class=\"left\"><code class=\"clr-code\">.p5</code></td>\n                  <td class=\"left\">\n                      <ul class=\"list compact list-unstyled\">\n                          <li>Table and datagrid footers</li>\n                          <li>Chart and data visualization info</li>\n                      </ul>\n                  </td>\n              </tr>\n              <tr>\n                  <td class=\"left\"><p class=\"p6\">Small headers</p></td>\n                  <td class=\"left\">\n                      <ul class=\"list compact list-unstyled\">\n                          <li>Metropolis Semibold</li>\n                          <li>color: #565656</li>\n                          <li>font-size: 11px</li>\n                          <li>letter-spacing: 0.03em</li>\n                      </ul>\n                  </td>\n                  <td class=\"left\"><code class=\"clr-code\">.p6</code></td>\n                  <td class=\"left\">\n                      <ul class=\"list compact list-unstyled\">\n                          <li>Usually used in all caps</li>\n                      </ul>\n                  </td>\n              </tr>\n              <tr>\n                  <td class=\"left\"><p class=\"p7\">Tags and labels</p></td>\n                  <td class=\"left\">\n                      <ul class=\"list compact list-unstyled\">\n                          <li>Metropolis Regular</li>\n                          <li>color: #565656</li>\n                          <li>font-size: 11px</li>\n                          <li>letter-spacing: 0.03em</li>\n                      </ul>\n                  </td>\n                  <td class=\"left\"><code class=\"clr-code\">.p7</code></td>\n                  <td class=\"left\">\n                      <ul class=\"list compact list-unstyled\">\n                          <li>Text inside tags and labels <em>(label_text)</em></li>\n                      </ul>\n                  </td>\n              </tr>\n              <tr>\n                  <td class=\"left\"><p class=\"p8\">Badges</p></td>\n                  <td class=\"left\">\n                      <ul class=\"list compact list-unstyled\">\n                          <li>Metropolis Regular</li>\n                          <li>color: #565656</li>\n                          <li>font-size: 10px</li>\n                          <li>letter-spacing: 0.03em</li>\n                      </ul>\n                  </td>\n                  <td class=\"left\"><code class=\"clr-code\">.p8</code></td>\n                  <td class=\"left\">\n                      <ul class=\"list compact list-unstyled\">\n                          <li>Text inside badges</li>\n                      </ul>\n                  </td>\n              </tr>\n          </tbody>\n      </table>\n\n\n      <pre>\n      <code clr-code-highlight=\"language-html\">\n      &lt;p class=&quot;p1&quot;&gt;Body text&lt;/p&gt;\n      &lt;p class=&quot;p2&quot;&gt;Section header&lt;/p&gt;\n      &lt;p class=&quot;p3&quot;&gt;Table, grid, and form text&lt;/p&gt;\n      &lt;p class=&quot;p4&quot;&gt;Form labels and column headers&lt;/p&gt;\n      &lt;p class=&quot;p5&quot;&gt;Table footers and chart data&lt;/p&gt;\n      &lt;p class=&quot;p6&quot;&gt;Mostly buttons&lt;/p&gt;\n      &lt;p class=&quot;p7&quot;&gt;Tags and labels&lt;/p&gt;\n      &lt;p class=&quot;p8&quot;&gt;Badges&lt;/p&gt;\n      </code></pre>\n    "
        }), 
        __metadata('design:paramtypes', [])
    ], TypographyTextDemo);
    return TypographyTextDemo;
}());
exports.TypographyTextDemo = TypographyTextDemo;
